max v2;
#N vpatcher 295 196 895 737 -1;
#P comment 398 518 165 1 Last modified for version 0.20.;
#P comment 421 427 79 1 also known as:;
#P newex 431 444 50 1 2pole~;
#P comment 419 467 149 1 (which is equivalent to 2p2z~ with d0=1 \, d1=d2=0)*;
#P comment 26 458 292 2 z[n] = c0 * x[n] + c1 * z[n-1] * c2 * z[n-2] \; y[n] = d0 * z[n] + d1 * z[n-1] +d2 * z[n-2].;
#P comment 24 419 288 2 If the input is x[n] \, the output is y[n] \, and letting z[n] be temporary \, the filter is defined as:;
#P newex 63 297 430 1 2p2z~ 0.001 0.999 0. 1. 0. 0.;
#P message 63 332 59 1 ~~~~~~~;
#P comment 128 332 162 1 outgoing FILTERED signal;
#P message 180 252 52 1 -0.1;
#P message 239 252 45 1 0.999;
#P message 297 252 28 1 0.;
#P message 356 252 29 1 1.;
#P message 414 252 29 1 0.;
#P message 473 252 29 1 0.;
#P comment 250 276 32 1 (c1);
#P comment 193 276 32 1 (c0);
#P comment 366 276 32 1 (d0);
#P comment 309 276 32 1 (c2);
#P comment 425 276 32 1 (d1);
#P comment 482 276 32 1 (d2);
#P comment 27 323 32 1 (Yn);
#P comment 91 273 32 1 (Xn);
#P comment 59 40 62 2 filter;
#P comment 249 46 71 6 2p2z~;
#P message 62 151 59 1 ~~~~~~~;
#P comment 60 122 176 1 incoming signal to be FILTERED;
#P message 229 156 108 1 set 0.1 0.9 0 1 0 0;
#P comment 221 202 254 1 floating point messages for the filter coefficients of the 3 feedback and 3 feed-forward coefficients (which define the poles and the zeros respectively);
#P comment 347 148 115 1 "set" changes all the coefficients at once.;
#P comment 28 380 499 1 F2p2z~ is a message-based two-pole two-zero filter which is more costly than the filter object f2p~ but less expensive than wahwah~. Last modified for version 0.19.;
#P connect 3 0 24 0;
#P connect 24 0 23 0;
#P connect 5 0 24 0;
#P connect 21 0 24 1;
#P connect 20 0 24 2;
#P connect 19 0 24 3;
#P connect 18 0 24 4;
#P connect 17 0 24 5;
#P connect 16 0 24 6;
#P pop;
