max v2 ;
#N vpatcher 231 169 770 621 ;
#P comment 19 357 464 0 The number of values (or frequency of values output) is determined by the time grain which can be changed via the right inlet as an 'int'. If a new 'int' is sent in the left inlet while the object is running \, the present output value automatically becomes the new origin value to avoid discontinuity when chaining line segments. (*Note: if a new time is not given with a new origin the time is considered to be zero!) ;
#P comment 10 243 474 0 Line produces breakpoint line segments. It takes three arguments. The first is an initial target value or origin point. The second is a time grain in milliseconds. The left inlet takes 'int' specifying a destination target value. The middle inlet takes a 'int' specifying a time in milliseconds to reach the destination.When a value is input in the left inlet \, line begins outputting 'int' values from the initial target value to the destination in the time specified. ;
#P message 115 97 29 0 100 ;
#P number 170 182 54 0 ;
#P newex 170 154 97 0 line 1 20 ;
#P number 253 130 42 0 ;
#P message 148 97 18 0 1 ;
#P comment 388 10 119 0 Arguments: 2 ints \, (optional) \; Inlets: int \; Outlet: int;
#N vpatcher 105 110 665 443 ;
#P comment 5 18 395 0 (line outputs integers from one value to another in a given time) ;
#P newex 41 107 66 0 line 1 20 ;
#P number 41 137 39 0 ;
#P message 41 49 65 0 100 5000 ;
#P message 55 78 65 0 0 3000 ;
#P message 61 219 23 0 0 ;
#P comment 71 192 278 0 **** setting a different time value ***** ;
#P message 93 219 37 0 100 ;
#P number 93 276 35 0 ;
#P newex 93 248 66 0 line 1 20 ;
#P comment 115 40 111 0 100 is the target \, 5000 is the time ;
#P comment 117 106 133 0 1 is the default value at the beginning (current state) ;
#P message 148 219 37 0 2000 ;
#P comment 189 218 169 0 click on time value before assigning each number ;
#P comment 302 46 122 0 the first two digits give beginning value and target (the default is overwritten) ;
#N vpatcher 171 102 555 445 ;
#P comment 9 19 352 0 to set first value and then have line start to output values: ;
#P comment 36 198 313 0 ***** other way to do the same thing ***** ;
#P message 58 97 65 0 100 1000 ;
#P button 84 39 ;
#P newex 84 66 65 0 bangbang ;
#P newex 85 159 65 0 print ;
#P newex 85 128 65 0 line 0 100 ;
#P message 107 223 97 0 15 \, 100 1000 ;
#P newex 107 252 65 0 line 0 100 ;
#P newex 107 282 65 0 print ;
#P message 136 97 29 0 15 ;
#P comment 192 100 161 0 here \, 15 is set first as initial value \, then line outputs to 100 in 1000ms with the time grain of 100ms ;
#P connect 3 0 2 0 ;
#P connect 4 0 3 0 ;
#P connect 9 0 5 0 ;
#P connect 1 0 5 0 ;
#P connect 5 0 6 0 ;
#P connect 7 1 1 0 ;
#P connect 7 0 9 0 ;
#P connect 8 0 7 0 ;
#P pop ;
#P newobj 375 267 137 0 patcher -> even more! ;
#P number 431 217 29 0 ;
#P slider 431 123 19 64 ;
#P newex 431 94 66 0 line 1 20 ;
#P message 431 46 80 0 0 \, 63 2000 ;
#P message 458 70 72 0 63 \, 0 3000 ;
#P connect 8 0 11 1 ;
#P connect 0 0 2 0 ;
#P connect 1 0 2 0 ;
#P connect 2 0 3 0 ;
#P connect 15 0 11 0 ;
#P connect 13 0 11 0 ;
#P connect 11 0 12 0 ;
#P connect 16 0 19 0 ;
#P connect 17 0 19 0 ;
#P connect 19 0 18 0 ;
#P connect 3 0 4 0 ;
#P pop ;
#P newobj 343 128 165 0 patcher -> more about line ;
#P comment 274 28 100 0 INT in right inlet sets grain in milliseconds ;
#P newex 253 92 36 0 * 20 ;
#P slider 253 16 15 51 ;
#P message 180 52 65 0 100 1000 ;
#P message 170 29 65 0 0 1000 ;
#P comment 11 27 141 0 an int in middle followed by one at left (or a list of 2 ints) starts a ramp. ;
#P message 187 97 54 0 set 100 ;
#P message 195 123 35 0 stop ;
#P comment 13 97 83 0 INT at left without one in middle makes it jump. Set N will do the same but won't make an output ;
#P connect 12 0 13 2 ;
#P connect 7 0 12 0 ;
#P connect 6 0 7 0 ;
#P connect 15 0 13 0 ;
#P connect 11 0 13 0 ;
#P connect 13 0 14 0 ;
#P connect 5 0 13 0 ;
#P connect 4 0 13 0 ;
#P connect 1 0 13 0 ;
#P connect 2 0 13 0 ;
#P pop ;
