max v2;
#N vpatcher 163 135 706 634;
#P comment 29 345 476 2 Threshold~ \, when in its "lo" state \, waits until the input signal exceeds the "hi" threshold value \, and then bangs its left output. After waiting a specified amount of time (the "hi deadtime" \, given in milliseconds) \, it then enters the "hi" state. When in the "hi" state \, as soon as the input signal goes below the "lo threshold" \, it bangs the right outlet \, waits the "lo deadtime" and then reenters the "lo" state. Only one sample per input buffer (the last one) is examined \; if you need to detect pulses which may be shorter than the vector size \, you can do it by combining threshhold~ with samphold~.;
#P comment 306 251 180 2 args: hi threshold \, hi deadtime \, lo threshold \, lo deadtime.;
#P comment 273 193 58 1 change arguments;
#P comment 190 195 58 1 set state to hi or lo;
#P button 134 286;
#P button 275 284;
#P comment 269 306 102 1 bang when input attains lo threshold;
#P comment 102 305 102 1 bang when input attains hi threshold;
#P message 268 225 80 1 set 20. 0 10. 0;
#P message 222 226 29 1 1;
#P message 188 226 29 1 0;
#P newex 134 259 151 1 threshold~ 10. 1000 5. 1000;
#P number 134 202 35 1;
#P slider 134 64 15 128;
#P newex 134 224 37 1 sig~;
#P comment 34 39 66 1 CONTROL;
#P comment 180 54 105 6 threshold~;
#P connect 8 0 5 0;
#P connect 7 0 5 0;
#P connect 6 0 5 0;
#P connect 2 0 5 0;
#P connect 4 0 2 0;
#P connect 3 0 4 0;
#P connect 5 1 11 0;
#P connect 5 0 12 0;
#P pop;
