max v2 uselib=1;
#N vpatcher 280 129 961 773;
#P message 26 133 30 0 reset;
#N vpatcher 75 82 475 482;
#P button 85 72;
#P outlet 84 192 15;
#P message 84 136 39 1 set 64;
#P inlet 69 37 15;
#P newex 106 30 71 1 loadbang;
#P outlet 127 193 15;
#P outlet 173 193 15;
#P outlet 224 194 15;
#P message 173 137 46 1 102;
#P message 127 137 39 1 41;
#P message 224 138 39 1 57;
#P connect 8 0 9 0;
#P connect 7 0 10 0;
#P connect 10 0 8 0;
#P connect 6 0 10 0;
#P connect 1 0 5 0;
#P connect 2 0 4 0;
#P connect 10 0 1 0;
#P connect 10 0 2 0;
#P connect 0 0 3 0;
#P connect 10 0 0 0;
#P pop;
#P newobj 26 156 43 0 patcher;
#P flonum 570 505 60 5;
#P comment 316 233 36 1 ---0db;
#P comment 241 233 36 1 ---0db;
#P slider 571 176 37 128;
#P comment 565 150 62 2 output;
#P flonum 299 347 61 5;
#P flonum 453 346 69 5;
#P slider 373 175 15 128;
#P comment 115 134 64 2 boost/cut at 0hz;
#P comment 205 129 70 2 middle segment boost/cut;
#P comment 450 125 62 2 high transition fq.;
#P comment 368 127 62 2 low transition fq.;
#P comment 281 127 77 2 boost/cut at SR/2 hz;
#P slider 453 175 15 128;
#P slider 133 175 15 128;
#P slider 300 175 15 128;
#P slider 224 175 15 128;
#P comment 150 233 36 1 ---0db;
#P newex 64 490 420 1 2p2z~;
#P flonum 224 348 60 5;
#P newex 300 402 30 1 t b f;
#P newex 223 401 30 1 t b f;
#P comment 474 368 26 2 hz;
#P comment 313 371 26 2 db;
#P newex 453 309 75 1 scale 0 127 0 22050. 1.06;
#P newex 373 310 71 1 scale 0 127 0 22050. 1.06;
#P comment 240 370 26 2 db;
#P comment 153 371 26 2 db;
#P newex 299 310 62 1 scale 0 127 -30 30.;
#P newex 224 311 62 1 scale 0 127 -25 25.;
#P newex 133 312 61 1 scale 0 127 -40 40.;
#P flonum 133 349 59 5;
#P message 25 181 50 1 \; max dsp 1;
#P message 23 275 50 1 \; max print;
#P message 24 227 50 1 \; max dsp 0;
#P flonum 374 348 69 5;
#N vpatcher 42 167 442 567;
#P message 47 61 75 1 set \$1 22050;
#P inlet 29 36 15;
#P message 155 62 50 1 set 0 \$1;
#P inlet 211 37 15;
#P newex 29 123 74 1 clip 0. 100.;
#P newex 210 119 133 1 clip 5000. 22050.;
#P newex 209 146 27 0 s hf;
#P newex 29 148 30 0 s lf;
#P connect 6 0 7 0;
#P connect 4 0 5 0;
#P connect 5 0 3 0;
#P connect 6 0 3 0;
#P connect 7 0 2 0;
#P connect 4 0 2 0;
#P connect 3 0 0 0;
#P connect 2 0 1 0;
#P pop;
#P newobj 532 341 41 0 patcher limit;
#P comment 391 369 26 2 hz;
#P newex 452 387 27 0 r hf;
#P newex 373 386 30 0 r lf;
#P newex 372 408 30 1 t b f;
#P newex 452 408 30 1 t b f;
#P newex 63 525 69 1 gain1~;
#P newex 63 557 39 1 dac~;
#P newex 63 381 39 1 white-noise~;
#P button 105 339 21;
#P comment 73 425 66 1 signal input for sample rate info.;
#P comment 31 327 74 2 bang: outputs coefficients;
#P newex 62 579 89 1 declare uselib=1;
#P newex 133 431 351 1 coef_hlshelf1~ 0. 0. 0. 100. 5000;
#P comment 160 525 383 1 PROPERTIES \; Transition frequency is measured at half the gain deviation in dB (not -3 dB) \; Transition bandwidth is approximately 3 octaves (for transition fq. < SR/4) \; The shelves have symetrical boost and cut responses in dB \; Shelving characteristic in dB is approximately proportional to gain deviation \; CREDITS \; Implementation in Max by Zack Settel \; Filter design by Jean-Marc Jot (1994) \;;
#P comment 0 1 134 5 coef_hlshelf1~;
#P comment 144 0 454 3 --calculates coefficients for 2p2z for a double shelving boost/cut filter;
#P comment 246 16 377 1 NOTE:All arguments are optional \; No arguments will default to: 'coef_hlshelf1~ 0dB 0dB 0dB 150Hz 5000Hz' \; The cutoff frequencies are constrained such that low transition fq. < high transition fq. \; Though it's a "~" object \, 'coef_hlshelf1~' does not perform audio-rate calculations- it is a control object (like samplerate~) \; One may send the bang message (to output coefficients) when initializing \, in order to initialize '2p2z~' as well \;;
#P comment 5 26 214 1 argument1: boost/cut db at 0hz (float) \; argument2: middle segment boost/cut db (float) \; argument3: boost/cut db at SR/2 (float) \; argument4: low transition fq. hz (float) \; argument5: high transition fq. hz (float);
#P connect 39 0 26 0;
#P connect 5 0 36 1;
#P connect 5 1 36 2;
#P connect 5 2 36 3;
#P connect 5 3 36 4;
#P connect 5 4 36 5;
#P connect 5 5 36 6;
#P connect 40 0 24 0;
#P connect 24 0 23 0;
#P connect 25 0 35 0;
#P connect 38 0 25 0;
#P connect 47 0 29 0;
#P connect 34 1 5 2;
#P connect 14 1 5 3;
#P connect 13 1 5 4;
#P connect 33 1 5 1;
#P connect 23 0 5 0;
#P connect 35 0 33 0;
#P connect 33 0 5 0;
#P connect 34 0 5 0;
#P connect 14 0 5 0;
#P connect 13 0 5 0;
#P connect 41 0 30 0;
#P connect 51 0 54 0;
#P connect 56 0 55 0;
#P connect 55 0 40 0;
#P connect 55 0 38 0;
#P connect 55 0 39 0;
#P connect 55 1 47 0;
#P connect 55 2 41 0;
#P connect 55 3 51 0;
#P connect 9 0 5 0;
#P connect 26 0 34 0;
#P connect 15 0 14 0;
#P connect 15 0 19 0;
#P connect 16 0 13 0;
#P connect 16 0 48 0;
#P connect 29 0 18 0;
#P connect 30 0 18 1;
#P connect 12 0 11 1;
#P connect 36 0 12 0;
#P connect 12 0 11 0;
#P connect 54 0 12 1;
#P connect 10 0 36 0;
#P connect 10 0 5 0;
#P pop;
