
/*
 *                      Copyright (c) 1993 by IRCAM
 *                          All rights reserved.
 *
 *  For any information regarding this and other IRCAM software, please
 *  send email to:
 *                              manager@ircam.fr
 *
 *      $Revision: 2.1 $ IRCAM $Date: 1993/09/08 08:59:48 $
 *
 * FTS by Miller Puckette
 *
 */

extern unsigned char ctypes[];

#define _alpha_ 1
#define _digit_ 2
#define _hex_ 4
#define _octal_ 8
#define _ascii_ 16
#define _cntrl_ 32
#define _punct_ 64
#define _space_ 128

#define isalnum(c) (ctypes[(c)+1]&(_alpha_|_digit_))

#define isalpha(c) (ctypes[(c)+1]&_alpha_)

#define isascii(c) (ctypes[(c)+1]&_ascii_)

#define iscntrl(c) (ctypes[(c)+1]&_cntrl_)

#define iscsym(c)  ((ctypes[(c)+1]&(_alpha_|_digit_))|| (c) == '_')

#define iscsymf(c) ((ctypes[(c)+1]&_alpha_)|| (c) == '_')

#define isdigit(c) (ctypes[(c)+1]&_digit_)

#define isgraph(c) ((c) >= '!' && (c) <= '~')

#define isodigit(c) (ctypes[(c)+1]&_octal_)

#define isprint(c) (((c)>=32)&&((c)<=255))

#define ispunct(c) (ctypes[(c)+1]&_punct_)

#define isspace(c) (ctypes[(c)+1]&_space_)

#define isxdigit(c) (ctypes[(c)+1]&_hex_)

#define toascii(c)  (c&0x7F)
