#ifndef lint
static char rcsid[] =
    "$Revision: 2.4 $ IRCAM $Date: 1994/05/10 10:51:19 $";
#endif

/*
 *                      Copyright (c) 1993 by IRCAM
 *                          All rights reserved.
 *
 *  For any information regarding this and other IRCAM software, please
 *  send email to:
 *                              manager@ircam.fr
 *
 *      $Revision: 2.4 $ IRCAM $Date: 1994/05/10 10:51:19 $
 *
 * FTS by Miller Puckette
 *
 */


#include "m_mess.h"
#include "m_ctype.h"
#include <stdio.h>
#include <stdlib.h>

read1(char *outstr, char **shit, long int *n, long int e, struct atom *ap,
      char *endofoutstr)
{
    char *sp = *shit + *n, *ep = *shit + e;
    char *outp = outstr, *sp2 = sp, c;
    int slash = 0, point = 0, dollar = 0;
    while (sp < ep && isspace(*sp))
        sp++;
    if (sp < ep)
    {
        if ((c = *sp) == ';' || c == ',')
        {
            if (c == ';')
                SETSEMI(ap);
            else
                SETCOMMA(ap);
            *n += (sp + 1 - sp2);
            return (1);
        }
        else if (c == '$')
            dollar = 1;
    }
    for (; sp < ep && outp < endofoutstr; sp++)
    {
        if (slash)
        {
            *(outp++) = *sp;
            slash = 0;
        }
        else if ((c = *sp) == '\\')
            slash = 1;
        else if (c == ';' || c == ',' || isspace(c))
            break;
        else
            *(outp++) = *sp;
    }
    *outp = 0;
    /* post(outstr); */
    *n += (sp - sp2);
    if (!(*outstr))
        return (0);
    /* check for $1-$9 */
    if (dollar && (c = outstr[1]) >= '0' && c <= '9')
    {
        char fucko = outstr[2];
        if (!fucko)
            SETDOLLAR(ap, c - '0');
        else if (fucko < '0' || fucko > '9')
            SETDOLLSYM(ap, gensym(outstr + 1));
        else
            goto nofucko;
        return (1);
    }
  nofucko:
    /* check for int or float constant */
    sp = outstr;
    c = *(sp++);
    if (c == '-')
        c = *(sp++);
    while (c)
    {
        if (c == '.')
            point++;
        else if (c < '0' || c > '9')
            goto issym;
        c = *(sp++);
    }
    if (outstr[0] == '-' && outstr[1] == '\0')
        goto issym;
    /* should do exponential notation someday */
    if (point)
    {
        if (point > 1)
            goto issym;
        ap->a_type = A_FLOAT;
#ifdef __alpha
        sscanf(outstr, "%lf", &ap->a_w.w_float);
#else
        ap->a_w.w_float = atof(outstr);
        /* sscanf(outstr, "%f", &ap->a_w.w_float); */
        /* printf("scanned %f\n", ap->a_w.w_float); */
#endif
    }
    else
    {
        ap->a_type = A_LONG;
        ap->a_w.w_long = atol(outstr);
    }
    return (1);

  issym:
    ap->a_type = A_SYM;
    ap->a_w.w_sym = gensym(outstr);
    return (1);
}

char *ps = "  ";
long midi_getclktime();

void *maxcmd(char **shit, long int n, int ac, struct atom *av,
             struct object *to)
{
    void *x, *b;
    b = binbuf_new();
    if (binbuf_text(b, shit, n))
        post("error reading buffer");
    x = binbuf_eval(b, ac, av, to);
    binbuf_free(b);
    return (x);
}
