#ifndef lint
static char rcsid[] =
    "$Revision: 2.2 $ IRCAM $Date: 1993/11/17 14:43:22 $";
#endif

/*
 *                      Copyright (c) 1993 by IRCAM
 *                          All rights reserved.
 *
 *  For any information regarding this and other IRCAM software, please
 *  send email to:
 *                              manager@ircam.fr
 *
 *      $Revision: 2.2 $ IRCAM $Date: 1993/11/17 14:43:22 $
 *
 * FTS by Miller Puckette
 *
 */

#include "m_ctype.h"

unsigned char ctypes[257] = {
    0,
    _cntrl_ | _ascii_,
    _cntrl_ | _ascii_,
    _cntrl_ | _ascii_,
    _cntrl_ | _ascii_ | _space_,
    _cntrl_ | _ascii_,
    _cntrl_ | _ascii_,
    _cntrl_ | _ascii_,
    _cntrl_ | _ascii_,
    _cntrl_ | _ascii_,
    _cntrl_ | _ascii_ | _space_,
    _cntrl_ | _ascii_ | _space_,
    _cntrl_ | _ascii_ | _space_,
    _cntrl_ | _ascii_ | _space_,
    _cntrl_ | _ascii_ | _space_,
    _cntrl_ | _ascii_,
    _cntrl_ | _ascii_,
    _cntrl_ | _ascii_,
    _cntrl_ | _ascii_,
    _cntrl_ | _ascii_,
    _cntrl_ | _ascii_,
    _cntrl_ | _ascii_,
    _cntrl_ | _ascii_,
    _cntrl_ | _ascii_,
    _cntrl_ | _ascii_,
    _cntrl_ | _ascii_,
    _cntrl_ | _ascii_,
    _cntrl_ | _ascii_,
    _cntrl_ | _ascii_,
    _cntrl_ | _ascii_,
    _cntrl_ | _ascii_,
    _cntrl_ | _ascii_,
    _cntrl_ | _ascii_,
    _space_ | _ascii_,
    _ascii_ | _punct_,
    _ascii_ | _punct_,
    _ascii_ | _punct_,
    _ascii_ | _punct_,
    _ascii_ | _punct_,
    _ascii_ | _punct_,
    _ascii_ | _punct_,
    _ascii_ | _punct_,
    _ascii_ | _punct_,
    _ascii_ | _punct_,
    _ascii_ | _punct_,
    _ascii_ | _punct_,
    _ascii_ | _punct_,
    _ascii_ | _punct_,
    _ascii_ | _punct_,
    _digit_ | _hex_ | _octal_ | _ascii_,
    _digit_ | _hex_ | _octal_ | _ascii_,
    _digit_ | _hex_ | _octal_ | _ascii_,
    _digit_ | _hex_ | _octal_ | _ascii_,
    _digit_ | _hex_ | _octal_ | _ascii_,
    _digit_ | _hex_ | _octal_ | _ascii_,
    _digit_ | _hex_ | _octal_ | _ascii_,
    _digit_ | _hex_ | _octal_ | _ascii_,
    _digit_ | _hex_ | _ascii_,
    _digit_ | _hex_ | _ascii_,
    _ascii_ | _punct_,
    _ascii_ | _punct_,
    _ascii_ | _punct_,
    _ascii_ | _punct_,
    _ascii_ | _punct_,
    _ascii_ | _punct_,
    _ascii_ | _punct_,
    _alpha_ | _hex_ | _ascii_,
    _alpha_ | _hex_ | _ascii_,
    _alpha_ | _hex_ | _ascii_,
    _alpha_ | _hex_ | _ascii_,
    _alpha_ | _hex_ | _ascii_,
    _alpha_ | _hex_ | _ascii_,
    _alpha_ | _ascii_,
    _alpha_ | _ascii_,
    _alpha_ | _ascii_,
    _alpha_ | _ascii_,
    _alpha_ | _ascii_,
    _alpha_ | _ascii_,
    _alpha_ | _ascii_,
    _alpha_ | _ascii_,
    _alpha_ | _ascii_,
    _alpha_ | _ascii_,
    _alpha_ | _ascii_,
    _alpha_ | _ascii_,
    _alpha_ | _ascii_,
    _alpha_ | _ascii_,
    _alpha_ | _ascii_,
    _alpha_ | _ascii_,
    _alpha_ | _ascii_,
    _alpha_ | _ascii_,
    _alpha_ | _ascii_,
    _alpha_ | _ascii_,
    _ascii_ | _punct_,
    _ascii_ | _punct_,
    _ascii_ | _punct_,
    _ascii_ | _punct_,
    _ascii_ | _punct_,
    _ascii_ | _punct_,
    _alpha_ | _ascii_ | _hex_,
    _alpha_ | _ascii_ | _hex_,
    _alpha_ | _ascii_ | _hex_,
    _alpha_ | _ascii_ | _hex_,
    _alpha_ | _ascii_ | _hex_,
    _alpha_ | _ascii_ | _hex_,
    _alpha_ | _ascii_,
    _alpha_ | _ascii_,
    _alpha_ | _ascii_,
    _alpha_ | _ascii_,
    _alpha_ | _ascii_,
    _alpha_ | _ascii_,
    _alpha_ | _ascii_,
    _alpha_ | _ascii_,
    _alpha_ | _ascii_,
    _alpha_ | _ascii_,
    _alpha_ | _ascii_,
    _alpha_ | _ascii_,
    _alpha_ | _ascii_,
    _alpha_ | _ascii_,
    _alpha_ | _ascii_,
    _alpha_ | _ascii_,
    _alpha_ | _ascii_,
    _alpha_ | _ascii_,
    _alpha_ | _ascii_,
    _alpha_ | _ascii_,
    _ascii_ | _punct_,
    _ascii_ | _punct_,
    _ascii_ | _punct_,
    _ascii_ | _punct_,
    _cntrl_ | _ascii_,
    0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0
};

#ifdef I860
bcopy(x, y, n)
char *x, *y;
int n;
{
    while (n--)
        *y++ = *x++;
}

bzero(char *x, int n)
{
    while (n--)
        *x++ = 0;
}
#endif
