#ifndef lint
static char rcsid[]= "$Revision: 2.1 $ IRCAM $Date: 1993/08/26 16:05:10 $";
#endif

/*
 *                      Copyright (c) 1993 by IRCAM
 *                          All rights reserved.
 *
 *  For any information regarding this and other IRCAM software, please
 *  send email to:
 *                              manager@ircam.fr
 *
 *      $Revision: 2.1 $ IRCAM $Date: 1993/08/26 16:05:10 $
 *
 * FTS by Miller Puckette
 *
 */

#include "p_pic.h"

#define NX_CLEAR	0	/* composite operators */
#define NX_COPY		1
#define NX_SOVER	2
#define NX_SIN		3
#define NX_SOUT		4
#define NX_SATOP	5
#define NX_DOVER	6
#define NX_DIN		7
#define NX_DOUT		8
#define NX_DATOP	9
#define NX_XOR		10
#define NX_PLUSD	11
#define NX_HIGHLIGHT	12

#import <appkit/NXImage.h>

id bms[MAXPIC];

t_drawbits(mapno, a, b, x1, y1, x2, y2)
{
	NXRect rect;
	NXPoint pt;
	NXSize sz;
	if (mapno >= MAXPIC || mapno < 0)
	{
		error("drawbits: out of range");
		return;
	}
	if (!bms[mapno])
	{
		char fucko[80];
		sprintf(fucko, "pic%d.tiff", mapno);
		bms[mapno] = [[[NXImage findImageNamed: fucko] setScalable:NO]
			setUnique:YES];
		if (!bms[mapno]) bug("drawbits: icon %s not found", fucko);
	}
	[bms[mapno] getSize: &sz];
	/* post("pic %s (%f, %f)", fucko, sz.width, sz.height); */
	NXSetRect(&rect, (float)a, (float)(sz.height + y1 - b - y2),
		(float)(x2-x1), (float)(y2-y1));
	pt.x = x1;
	/* pt.y = y1 + sz.height; */
	pt.y = y2;
	/* pt.x = 50.;
	pt.y = 50.; */
	/* post("point %f %f", pt.x, pt.y); */
	[bms[mapno] composite: NX_COPY fromRect: &rect toPoint: &pt];
}
