
/*
 *                      Copyright (c) 1993 by IRCAM
 *                          All rights reserved.
 *
 *  For any information regarding this and other IRCAM software, please
 *  send email to:
 *                              manager@ircam.fr
 *
 *      $Revision: 2.2 $ IRCAM $Date: 1994/01/04 18:00:16 $
 *
 * FTS by Miller Puckette
 *
 */

#import <appkit/View.h>
#import <appkit/Window.h>

@ interface nx_view:View
{
    t_wind *wind;
}

-setWind:(void *) w;
-(void *) getAssoc;
-mouseDown:(NXEvent *) ev;
-mouseUp:(NXEvent *) ev;
-keyDown:(NXEvent *) ev;
-keyUp:(NXEvent *) ev;
-drawSelf: (NXRect *) rp:(int) nr;
-cut:(id) who;
-copy:(id) who;
-paste:(id) who;
-selectall:(id) who;
-edit:(id) who;
-stretch:(id) who;
-contract:(id) who;
-s9:(id) who;
-s10:(id) who;
-s12:(id) who;
-s14:(id) who;
-s16:(id) who;
-s18:(id) who;
-s20:(id) who;
-s24:(id) who;
-fontbomb:(id) who;
-inspect:(id) who;

-fixwidth:(id) who;
-lineup:(id) who;
-save:(id) who;
-saveAs:(id) who;
-beginSetup;
@end @ interface nx_window:Window
{
    t_wind *wind;
}

-setWind:(void *) w;
-(void *) wind;
-windowWillClose:(id) sender;
-windowDidResize:(id) sender;
-print:(id) sender;
-(int) needsSaving;
-setinspector:(int) put;
-windowDidBecomeMain:(id) who;
-windowDidResignKey:(id) who;
-restart_fts;
-find: (char *) s:(int) again;

@end
