#ifndef lint
static char rcsid[] = "$Revision: 2.4 $ IRCAM $Date: 93/12/21 16:06:05 $";
#endif

/*
 *                      Copyright (c) 1993 by IRCAM
 *                          All rights reserved.
 *
 *  For any information regarding this and other IRCAM software, please
 *  send email to:
 *                              manager@ircam.fr
 *
 *      $Revision: 2.4 $ IRCAM $Date: 93/12/21 16:06:05 $
 *
 * FTS by Miller Puckette
 *
 */


#include "m_mess.h"
extern t_symbol s_, s_anything, s_sock, s_debug;
void *mcp_id;
int mcp_cpno;
void *mcp_obj;

void mcp_anything(struct object *x, struct symbol *s, int ac,
                  struct atom *av)
{
    h_new(mcp_id, mcp_cpno, s, ac, av);
}

void *mcp_class;
void mcp_setup()
{
    c_new(&s_sock, NIL, sizeof(t_tinyobject), 1, 0);
    c_addmess(mcp_anything, &s_anything, A_GIMME, 0);
}

void sock_debug(void *x, int n)
{
    h_vmess(NIL, gensym("debug"), "l", n);
}

void *sock_messlist;
void c_sock()
{
    c_new(&s_sock, NIL, sizeof(t_tinyobject), 1, 0);
    c_addmess(sock_debug, &s_debug, A_LONG, 0);
}

void *sock_init()
{
    t_tinyobject *x =
        (t_tinyobject *) obj_new((t_messlist **) & sock_messlist, c_sock);
    s_sock.s_thing = (t_object *) x;
    mcp_obj = (void *) obj_new((t_messlist **) & mcp_class, mcp_setup);
}
