max v2;
#N vpatcher 199 158 868 666;
#P comment 183 481 165 1 - last updated for version 0.16 -;
#P comment 47 32 73 1 fixed!!!!;
#P message 38 216 50 1 set 1 0.999 0;
#P comment 204 68 54 6 f2p~;
#P comment 145 131 188 1 incoming signal to be filtered;
#P message 182 158 72 1 ~~~~~~~;
#P comment 221 211 403 1 floating point messages to set the 3 filter coefficients;
#P message 261 243 55 1 1.;
#P message 418 243 36 1 1.;
#P message 339 243 55 1 1.;
#P comment 35 432 612 1 F2p~ is a message-based two-pole filter which is less costly than the other two filter objects in MAX: f2p2z~ and wahwah~. This is the simplest resonant filter possible in Max \, the equation being: y[n] = c0*x[n] + c1*y[n-1] + c2*y[n-2] where x[n] is the input signal \, y[n] is the output signal and c0 \, c1 \, and c2 are the 3 coefficients. See wahwah~ and f2p2z~.;
#P comment 261 373 197 1 outgoing FILTERED signal;
#P message 182 373 72 1 ~~~~~~~;
#P comment 143 267 37 1 (Xn);
#P comment 145 323 37 1 (Yn);
#P comment 274 274 40 1 (c0);
#P comment 352 274 40 1 (c1);
#P comment 431 274 40 1 (c2);
#P newex 182 297 247 1 2pole~ 1. 1. 1.;
#P comment 445 305 206 1 3 floating point arguments for the 3 filter coefficients;
#P comment 48 52 74 2 filter;
#P connect 18 0 2 0;
#P connect 15 0 2 0;
#P connect 13 0 2 1;
#P connect 11 0 2 2;
#P connect 12 0 2 3;
#P connect 2 0 8 0;
#P pop;
