max v2;
#N vpatcher 296 203 771 689;
#P comment 284 29 165 1 Arguments: none Inlet: integers and messages Outlet: integers;
#P comment 391 394 83 1 this help window is adapted from one for the Macintosh by Cort Lippe;
#P comment 17 30 80 6 explode;
#N explode;
#X restore;
#X 300 69 127 500 1;
#X 225 60 127 550 1;
#X 1000 66 127 675 1;
#X 500 62 127 500 1;
#X 450 55 127 700 1;
#X 975 84 127 350 1;
#X 50 75 127 400 1;
#X 25 68 127 350 1;
#X 1150 102 127 325 1;
#X 600 98 127 250 1;
#X 400 89 127 225 1;
#X 400 83 127 175 1;
#X 300 75 127 225 1;
#X 325 66 127 225 1;
#X 525 56 127 425 1;
#X 500 48 127 225 1;
#X 675 39 127 150 1;
#X 350 30 127 275 1;
#X 550 23 127 125 1;
#X stop;
#P newobj 18 111 391 1 explode;
#P comment 18 91 49 1 time;
#P comment 18 136 49 1 time;
#P comment 397 136 46 1 channel;
#P comment 209 136 48 1 velocity;
#P comment 113 136 48 1 pitch;
#P comment 302 136 48 1 duration;
#P comment 397 91 46 1 channel;
#P comment 209 91 48 1 velocity;
#P comment 113 91 48 1 pitch;
#P comment 302 91 48 1 duration;
#P comment 17 167 439 1 Explode (version 0.06) \, by Miller Puckette \, is a powerful graphical editor which allows you to input sequences of numbers via inlets \, and to input and edit sequences graphically via the mouse and keyboard of your computer. (See "EXPLODE: A User Interface for Sequencing and Score Following" by Puckette in the Proceedings \, International Computer Music Conference \, 1990 \, Glasgow). The parameter names for input and output from right to left are: channel \, duration \, velocity \, pitch \, and time. For MIDI purposes \, these parameter names are useful \, but the explode object can be used with values of any nature as a general-purpose object for the storing and sequencing of numbers. (Note that a patch must be saved in order to save any changes made to the contents of an explode.);
#P comment 137 352 182 1 open these patchers to continue:;
#N vpatcher 295 416 771 628;
#P comment 41 41 390 6 an explode example interfaced with MAX;
#P comment 16 135 431 1 Open the patcher and you will see that you can input events via MIDI \, and then playback or follow your score also via MIDI. There are message boxes for playback \, recording \, following \, writing data into the explode \, and reading and writing files from/to the disk.;
#P comment 17 72 431 1 To make use of its play/record/follow modes \, explode can be interfaced with MAX. One possible MAX interface is shown in the patcher below:;
#N vpatcher 246 62 898 685;
#P comment 23 181 133 1 timed delay 'bangs' the 'next' message to step through the event list;
#P toggle 13 349;
#P newex 57 106 91 1 r timer_message;
#P newex 110 293 46 1 r clear;
#P newex 71 228 82 1 r exp_message;
#P message 21 230 36 1 next;
#P message 496 236 123 1 \; follow_gate 0 \; gate_message 0 \; exp_message record \; exp_message 1000 60 127 500 1 \, 2000 63 120 1000 1 \, 1000 66 100 400 1 \, 1000 71 95 2000 1 \, 1000 66 100 400 1 \; exp_message stop \;;
#P comment 475 195 172 2 RECORD A SPECIFIC SEQUENCE WITHOUT MIDI;
#P newex 505 92 94 1 r followed_note;
#P newex 222 312 131 1 makenote;
#P newex 162 280 48 1 t b i;
#P newex 162 312 48 1 del;
#P comment 293 159 171 1 note-offs determine durations;
#P newex 475 146 97 1 print following;
#P newex 475 121 39 1 gate;
#P toggle 475 94;
#P comment 444 34 164 1 notes which are followed are printed in the MAX window;
#P newex 475 67 82 1 r follow_gate;
#P comment 427 409 51 4 NTH;
#P comment 430 514 50 4 NTH;
#P message 426 435 110 1 \; follow_gate 0 \; gate_message 1 \; exp_message nth 1;
#P message 429 540 110 1 \; follow_gate 0 \; gate_message 1 \; exp_message nth 3;
#P message 304 540 121 1 \; follow_gate 0 \; exp_message stop \; gate_message 0 \; clear stop;
#P message 302 435 121 1 \; follow_gate 0 \; gate_message 0 \; timer_message bang \; exp_message record;
#P comment 305 514 51 4 STOP;
#P comment 60 408 51 4 PLAY;
#P comment 184 514 101 4 FOLLOWAT;
#P comment 183 409 79 4 FOLLOW;
#P message 182 435 116 1 \; follow_gate 1 \; gate_message 0 \; exp_message follow;
#P message 57 539 122 1 \; follow_gate 0 \; gate_message 1 \; exp_message startat 63 120 1 \, next;
#P comment 293 126 138 1 time the incoming notes;
#P newex 162 86 71 1 t b b i;
#P newex 162 125 41 1 timer;
#P newex 162 158 129 1 pack 0 0 0;
#P newex 162 57 245 1 notein;
#N explode;
#X restore;
#X 2231 60 62 138 1;
#X 226 62 53 127 1;
#X 98 64 57 168 1;
#X 251 65 40 138 1;
#X 133 67 59 131 1;
#X 405 72 75 99 1;
#X stop;
#P newobj 162 247 251 1 explode;
#P comment 222 224 48 1 pitch;
#P comment 282 224 49 1 velocity;
#P comment 342 224 48 1 duration;
#P comment 401 224 46 1 channel;
#P comment 171 224 49 1 time;
#P newex 222 366 253 1 noteout;
#P newex 234 339 92 1 s followed_note;
#P newex 112 365 59 1 gate;
#P newex 12 147 92 1 r gate_message;
#P comment 303 409 80 4 RECORD;
#P comment 58 513 83 4 STARTAT;
#P message 183 539 117 1 \; follow_gate 1 \; gate_message 0 \; exp_message followat 63 120 1;
#P message 57 433 121 1 \; follow_gate 0 \; gate_message 1 \; exp_message start \, next;
#P connect 46 0 16 0;
#P connect 38 0 37 0;
#P connect 38 1 37 1;
#P connect 37 0 5 1;
#P connect 33 0 34 0;
#P connect 34 0 35 0;
#P connect 17 0 16 0;
#P connect 17 1 16 1;
#P connect 17 2 15 1;
#P connect 16 0 15 0;
#P connect 15 0 13 0;
#P connect 43 0 13 0;
#P connect 47 0 5 0;
#P connect 14 0 17 0;
#P connect 14 1 15 2;
#P connect 13 0 38 0;
#P connect 13 1 39 0;
#P connect 13 2 39 1;
#P connect 13 3 39 2;
#P connect 40 0 34 1;
#P connect 31 0 33 0;
#P connect 39 0 7 0;
#P connect 39 0 6 0;
#P connect 39 1 7 1;
#P connect 44 0 13 0;
#P connect 45 0 37 0;
#P connect 45 0 39 0;
#P connect 5 0 43 0;
#P connect 4 0 47 0;
#P pop;
#P newobj 145 106 155 1 patcher explode_example;
#P pop;
#P newobj 137 443 182 1 patcher EXAMPLE;
#N vpatcher 296 340 771 676;
#P comment 82 49 252 6 play/record/follow modes;
#P comment 7 115 437 1 "play" mode: in this mode \, which is set by a 'start' or a 'startat' message \, the 'next' message puts the next event out outlets 2 through 5 of the explode object and if there is another event afterwards it puts the time delay for it out the first outlet (the left-most outlet). Incoming notes are ignored in this mode.;
#P comment 7 81 437 1 The play/record/follow modes cause the respective indicators on the explode control panel to highlight.;
#P comment 7 178 437 1 "record" mode: incoming events are recorded into the event list. If the incoming event has a duration specified \, the note gets that duration. If nothing has been put in the duration inlet since the previous event \, the event is matched with a later "note off" (a zero-velocity note of the same pitch and channel).;
#P comment 7 256 437 1 "follow" mode: incoming events are compared with the event list and matches are sent out the outlets 2 through 5 (nothing comes out of the first outlet). If the incoming event has no velocity specified \, a note-on is assumed. (A note-off attempts to match a previously matched note-on and if successful \, re-sends the matched note with the velocity set to zero.);
#P pop;
#P newobj 137 420 182 1 patcher PLAY/RECORD/FOLLOW;
#N vpatcher 296 36 754 673;
#P comment 9 40 429 1 Explode accepts the following messages:;
#P comment 156 13 108 6 messages;
#P message 362 58 43 1 import;
#P message 407 58 42 1 export;
#N explode;
#X restore;
#X 350 77 64 700 1;
#X 1900 72 64 600 1;
#X 1700 55 64 325 1;
#X 1775 44 64 700 1;
#X stop;
#P newobj 359 90 86 1 explode;
#P message 179 70 42 1 record;
#P message 262 70 50 1 followat;
#P message 222 70 38 1 follow;
#P message 148 70 29 1 stop;
#P message 123 70 23 1 nth;
#P message 90 70 31 1 next;
#P message 44 70 44 1 startat;
#P message 9 70 33 1 start;
#P comment 9 118 438 1 'start' puts explode into the "play" mode and outputs the delay before the first event without outputting the event itself.;
#P message 312 70 44 1 params;
#P comment 9 154 438 1 'startat' <pitch> <velocity> <channel> searches from the beginning of a sequence until if finds the first event with a matching pitch \, velocity \, and channel \, and then explode enters into the "play" mode pointing to the next event following the described event. The time difference between the matched event and the next one is output.;
#P comment 9 219 438 1 'next' sends out the first event and the next delay time before the following event. Thus 'next' messages step through a sequence event-by-event when in the "play" mode.;
#P comment 10 254 440 1 'nth' <event number> outputs the ordinal nth event in a list when in the "play" mode. The left-most outlet gives the CUMULATIVE time up to that event.;
#P comment 11 292 438 1 'stop' returns explode to the editing mode. You can also click on a tool in the control panel of explode to stop.;
#P comment 13 394 438 1 'followat' <pitch> <velocity> <channel> searches from the beginning of a sequence until if finds the first event with a matching pitch \, velocity \, and channel \, and then explode enters into the "follow" mode pointing to the next event coming after the described event.;
#P comment 15 452 438 1 'params' <nskip> <timeskip> <octave> sets score following parameters for use with 'follow' or 'followat'. The performer is allowed to miss <nskip> notes and then is allowed to blank out for <timeskip> milliseconds in the score. <Octave> \, if nonzero \, directs the follower to accept events with an octave error \, either up or down \, for the pitch parameter. Thus "params 2 200 0" \, which is the default for 'params' \, will allow up to two events successively as errors and then skip over 200 milliseconds in the score in looking for the next notes to follow.;
#P comment 15 572 438 1 'import'and 'export' allow you to read and write disk files to and from an explode object. <DO NOT EXIST YET ON THE ISPW!>;
#P comment 14 337 438 1 'record' completely erases any existing event list and puts explode in the "record" mode.;
#P comment 14 371 438 1 'follow' puts explode in the "follow" mode pointing to the first event.;
#P connect 9 0 19 0;
#P connect 17 0 19 0;
#P connect 16 0 19 0;
#P connect 15 0 19 0;
#P connect 14 0 19 0;
#P connect 13 0 19 0;
#P connect 12 0 19 0;
#P connect 11 0 19 0;
#P pop;
#P newobj 137 397 182 1 patcher MESSAGES;
#N vpatcher 295 0 770 807;
#P comment 18 686 450 1 Explode has another special feature which is unavailable on the MacIntosh: since there is a copy of MAX running on the NeXT as well as on the IRCAM board (ISPW) \, it is necessary to SEND a copy of anything you edit in an explode object (via the mouse and NeXT keyboard) down to the ISPW. Likewise \, anything you have recorded into the explode object (via MIDI or internally in a patch) on the ISPW needs to be sent up to the NeXT so that you can see it! Thus \, while editing or recording an explode object \, you will see two grey buttons appear just to the right of the parameter box. The button "SEND" sends down the copy you were editing on the NeXT to the ISPW. The button "GET" sends anything you have recorded into the explode object on the ISPW to the explode object on the NeXT.;
#P comment 14 83 454 1 In the upper left-hand corner of the control panel \, the three input/edit boxes can be selected to activate the "input tool" \, the "length tool" \, and the "edit tool".;
#P comment 14 28 454 1 Double-click on the explode object above to open it. You will see a collection of events \, represented by straight-line segments \, and a control panel. From left to right \, the control panel contains three input/edit mode boxes \, three indicators for record/follow/play \, two toggles \, and a "parameter box".;
#P comment 15 112 452 1 The input tool (represented by a pencil icon) is used to create new events in the explode. Each new event is drawn as a horizontal straight-line segment on the xy grid by clicking and dragging the mouse.;
#P comment 15 154 451 1 The length tool (represented by a horizontal-arrow icon) is used to modify the duration of existing events. To modify the duration of an event \, select the event by clicking it \, then drag the mouse to shorten or lengthen the event's line segment on the grid. Several events can be modified simultaneously by making a multiple selection of the events (depress the "shift" key while selecting) \, then dragging the mouse.;
#P comment 16 223 450 1 The edit tool (represented by the upward-pointing arrow) allows you to select events for various types of editing operations. With the edit tool selected \, events which have been selected can be moved via the keyboard arrows. Selected events can also be moved \, depending on the starting direction \, on the x or on the y axis with the mouse. They can be cut with a "control-x" or "delete" \, and the MAX "Edit" menu can be used as well. They can be duplicated by holding down the "option" key (also called "alt" key) while dragging the selected events in a horizontal or vertical direction. You can also cut and paste from another explode or from a text editor.;
#P comment 16 331 449 1 The parameter box contains cells for showing and editing the numerical values of each parameter \, and switches for choosing which parameter to show as "y" (the vertical location of an event) \, "w" (the horzontal width) \, and "#" (a number printed above the event). Note that if you select an event by clicking on it with the mouse \, the parameter box will print the parameter values for the event in the long rectangular cells next to each parameter name. (Selecting a group of events with differing parameter values will show a "*" in the parameter box.) The "y \, w \, #" cells allow you to view parameters in different ways \, the "#" cell lets you see the values of parameters as you edit them.;
#P comment 16 439 450 1 With the edit tool selected \, you can toggle "show grid" and "show ranges". If "show ranges" is not highlighted (not selected) \, you can also edit specific parameters of events by clicking in the long rectangular cell to the right of the parameter in the parameter box. Note that a black dot appears in the cell. Now you can select an event or a group of events and type a new value for the parameter which has a black dot by its name \, and immediately follow with a "return" on the keyboard.;
#P comment 16 520 450 1 If the "show ranges" toggle is highlighted (selected) \, the scale of the five explode parameters on the xy axis is printed in the parameter box. You can change (zoom) the scale of any parameter by clicking on the small up/down arrows or by clicking in the long rectangular cell of any parameter (noting the black dot that appears) and typing the desired scale in the rectangle. By clicking the cell just to the right of the little up/down arrows of any parameter while the "y" cell is highlighted for the parameter \, the parameter can be viewed in 10-grid \, 12-grid \, and in a simple standard musical notation grid.;
#P comment 17 616 450 1 Since in early versions \, Explode has no scroll bar \, a feature was introduced which is unavailable on the MacIntosh: if no items are selected \, you may type a time into the "time" slot of the parameter box and type in a new scroll position. BE SURE NOTHING IS SELECTED -- otherwise instead of scrolling you will move the selected notes to the time you typed.;
#P comment 154 5 81 6 editing;
#P pop;
#P newobj 137 375 182 1 patcher EDITING;
#P pop;
