max v2 ;
#N vpatcher 111 118 756 785 ;
#P comment 27 568 535 0 Furthermore \, line~ takes the sampling rate of an incoming signal automatically. If there is an incoming signal to line~ the decimation value factors with respect to it rather than with respect to the dacs. See up~ \, down~ and sig~. ;
#P comment 19 468 559 0 The number of values (or frequency of values output) is determined by the decimation factor \, which can be specified as the only (and optional) argument to line~. The decimation factor can be changed to downsample by powers of two. A value of 0 or no value whatsoever means that line~ runs at the sampling rate of the dacs (i.e. 44.1K). A value of 1 \, 2 \, or 3 downsamples line~ by a half \, quarter \, and eighth respectively. ;
#P comment 23 392 575 0 If a new value is sent in the left inlet while the object is running \, the present output value automatically becomes the new origin value to avoid discontinuity when chaining line segments. (*Note: if a new time is not given with a new origin the time is considered to be zero!) ;
#P comment 19 323 572 1 Line~ produces breakpoint line segments. The left inlet takes a number specifying a destination target value. The right inlet takes a number specifying a time in milliseconds to reach the destination. When a value is input in the left inlet \, line begins outputting values from the initial target value to the destination in the time specified. ;
#P message 26 208 67 1 300 2000 ;
#P comment 29 128 130 1 single number to define destination value ;
#P comment 22 235 126 1 two numbers define the destination value and time in milliseconds to reach the destination ;
#P comment 23 33 111 2 control ;
#P comment 271 223 226 1 optional argument is the decimation factor for downsampling which is 0 by default ;
#P message 161 102 59 1 ~~~~~~~ ;
#P comment 115 70 211 1 signal input for order forcing and optional sampling rate definition ;
#P newex 161 228 102 1 line~ 0 ;
#P message 250 152 65 1 1000 ;
#P comment 319 153 176 1 message for time in milliseconds ;
#P message 161 292 59 1 ~~~~~~~ ;
#P comment 223 293 80 1 signal output ;
#P comment 176 39 59 6 line~ ;
#P message 101 163 35 1 220 ;
#P connect 13 0 6 0 ;
#P connect 8 0 6 0 ;
#P connect 6 0 3 0 ;
#P connect 0 0 6 0 ;
#P connect 5 0 6 1 ;
#P pop ;
