max v2;
#N vpatcher 200 334 769 799;
#P comment 136 120 156 1 signal input to specify delay time in milliseconds;
#P comment 295 190 256 1 arg1: the name of a delay line defined by a delwrite~;
#P comment 295 210 256 1 arg2: maximum transposition \; default 4. (The higher the value \, the more computation);
#P comment 295 242 256 1 arg3: upsampling relative to the delwrite~. Default is zero. One means upsample by 2 \; 2->4 \, 3->8 \, etc.;
#P comment 408 448 155 1 Last modified for version 0.22.;
#P comment 271 164 130 1 right inlet is not used;
#P newex 154 208 110 1 vd~ delay-name 4 1;
#P comment 33 405 481 1 Do not try to increase the delay speed by more than a ratio of 5 to 1 or decrease it by a ratio of more than 3 to 1. If you do \, it will output zeros for the offending vector period. See delwrite~ and delread~.;
#P comment 33 304 465 1 Vd~ is a variable delay line which accepts an incoming signal to set the delay time in milliseconds \, and outputs a signal after the specified delay time. Vd~ refers to a delay line defined by a delwrite~ object \, and many vd~ objects can refer to the same delwrite~ object. Vd~ does a 4-point interpolation.;
#P comment 172 54 91 1 vd~;
#P message 154 269 59 1 ~~~~~~~;
#P comment 219 271 91 1 outgoing signal;
#P message 154 156 59 1 ~~~~~~~;
#P comment 39 39 111 1 delay;
#P connect 7 0 3 0;
#P connect 1 0 7 0;
#P pop;
