max v2 uselib=1;
#N vpatcher 229 189 843 770;
#P newex 120 384 213 1 coef_bpass2~;
#P newex 20 350 41 1 white-noise~;
#P button 86 298 27;
#P flonum 387 465 60 5;
#P newex 81 444 250 1 2p2z~;
#P newex 301 277 75 1 scale 0 127 0.05 5.;
#P newex 202 278 71 1 scale 0 127 5 22050. 1.06;
#P comment 279 111 77 2 bandwidth (octaves);
#P comment 61 383 64 1 signal input for sample rate info.;
#P comment 218 335 26 2 hz;
#P comment 313 337 58 2 octaves;
#P newex 202 358 30 1 t b f;
#P newex 302 361 30 1 t b f;
#N vpatcher 64 76 464 476;
#P button 85 72;
#P outlet 84 192 15;
#P message 84 136 39 1 set 64;
#P inlet 69 37 15;
#P newex 106 30 71 1 loadbang;
#P outlet 127 193 15;
#P outlet 173 193 15;
#P outlet 224 194 15;
#P message 224 138 39 1 65;
#P message 127 137 39 1 74;
#P message 173 137 46 1 14;
#P connect 8 0 9 0;
#P connect 7 0 10 0;
#P connect 10 0 8 0;
#P connect 6 0 10 0;
#P connect 1 0 5 0;
#P connect 0 0 4 0;
#P connect 10 0 1 0;
#P connect 10 0 0 0;
#P connect 2 0 3 0;
#P connect 10 0 2 0;
#P pop;
#P newobj 12 125 43 0 patcher;
#P slider 202 143 15 128;
#P flonum 202 314 69 5;
#P slider 120 143 15 128;
#P comment 137 201 36 1 ---0db;
#P comment 140 339 26 2 db;
#P newex 120 280 61 1 scale 0 127 -40 40.;
#P flonum 120 317 59 5;
#P slider 388 143 37 128;
#P flonum 301 314 69 5;
#P slider 302 143 15 128;
#P comment 188 112 69 2 center frequency;
#P newex 79 515 43 1 dac~;
#P newex 80 479 74 1 gain1~.abs;
#P comment 99 114 64 2 boost/cut;
#P comment 382 114 62 2 output;
#P message 12 148 50 0 \; max dsp 1;
#P message 12 180 50 0 \; max dsp 0;
#P message 12 212 50 0 \; max print;
#P comment 6 283 74 2 bang: outputs coefficients;
#P newex 76 539 89 1 declare uselib=1;
#P message 13 104 30 0 reset;
#P comment 212 17 384 1 NOTE: All arguments are optional. No arguments will default to: 'coef_bpass2~ 0dB 500Hz 0.5octaves'. Bandwidth and center frequency are constrained such that (center fq. + bandwidth) < SR/2. Extremely narrow bandwith with extreme center frequency ranges can produce unpleasant sounds. Though it's a "~" object \, 'coef_bpass2~' does not perform audio-rate calculations- it is a control object (like samplerate~). One may send the bang message (to output coefficients) when initializing \, in order to initialize '2p2z~' as well;
#P comment 138 -3 421 3 --calculates coefficients for 2p2z for a bandpass boost/cut filter;
#P comment 3 29 221 1 arg1: boost/cut at 0 hz and SR/2 hz (float) \; arg2: center frequency hz (float) \; arg3: bandwidth in octaves (float);
#P comment 172 483 368 1 PROPERTIES \; Bandwith is measured at half the boost/cut gain in dB (not -3 dB) \; The filter has symetrical boost and cut responses in dB \; Frequency response in dB is approximately proportional to boost/cut gain \; CREDITS \; Implementation in Max by Zack Settel \; Filter design by Jean-Marc Jot (1994);
#P comment 1 -1 139 5 coef_bpass2~;
#P connect 23 0 20 0;
#P connect 20 0 19 0;
#P connect 17 0 27 0;
#P connect 24 0 28 0;
#P connect 18 0 36 0;
#P connect 36 0 13 1;
#P connect 13 0 14 0;
#P connect 35 0 13 0;
#P connect 13 0 14 1;
#P connect 5 0 26 0;
#P connect 26 0 23 0;
#P connect 26 1 25 0;
#P connect 26 2 16 0;
#P connect 26 3 18 0;
#P connect 38 0 35 0;
#P connect 25 0 33 0;
#P connect 33 0 24 0;
#P connect 16 0 34 0;
#P connect 34 0 17 0;
#P connect 39 5 35 6;
#P connect 39 4 35 5;
#P connect 39 3 35 4;
#P connect 39 2 35 3;
#P connect 39 1 35 2;
#P connect 39 0 35 1;
#P connect 27 1 39 2;
#P connect 27 0 39 0;
#P connect 28 0 39 0;
#P connect 28 1 39 1;
#P connect 19 0 39 0;
#P connect 38 0 39 0;
#P connect 37 0 39 0;
#P pop;
