max v2 uselib=1;
#N vpatcher 7 460 781 1000 255;
#P comment 6 33 78 1 Effects:;
#P newex 47 459 89 1 declare uselib=1;
#P newex 542 341 72 1 probe1~.abs;
#P comment 633 362 82 1 signal capture & write to disk;
#P newex 542 366 79 1 bag~.abs 100;
#P comment 618 343 147 1 signal probe (for debugging);
#P comment 142 376 98 1 stereo chorus;
#P newex 51 373 85 1 stchorus1~.abs;
#P comment 640 457 119 1 signal energy measure;
#P comment 642 431 98 1 envelope follower;
#P comment 27 398 65 1 Misc;
#P newex 47 422 79 1 explay;
#P comment 139 425 76 1 for sequencing;
#P comment 402 457 118 1 4 band parametric EQ;
#P newex 294 455 101 1 peqbank1~.abs;
#P comment 406 430 103 1 param. eq. element;
#P newex 293 431 110 1 peq2~.abs 1000 0.5;
#P newex 293 392 87 1 peq1~.abs 100. 10000.;
#P newex 293 316 83 1 coef_bpass2~;
#P comment 279 30 90 1 Filtering;
#P comment 139 221 65 1 new version;
#P comment 140 194 64 1 old version;
#P newex 548 453 86 1 rms1~.abs;
#P newex 548 479 86 1 zerocross;
#P comment 642 481 95 1 noise detector;
#P comment 381 349 96 1 FIR comb filter;
#P newex 293 342 87 1 comb1~.abs 200;
#P newex 293 367 87 1 comb2~.abs 200;
#P comment 383 370 96 1 IIR comb filter;
#P comment 384 393 114 1 param. eq. element;
#P comment 383 312 127 1 generate coeffients for shelving filters (2p2z~);
#P newex 293 261 70 1 bstop1~.abs;
#P newex 293 237 70 1 bpass1~.abs;
#P comment 382 283 121 1 generate coeffients for shelving filters (2p2z~);
#P newex 293 287 81 1 coef_hlshelf1~;
#P comment 382 260 112 1 2nd order bandstop;
#P newex 293 143 70 1 apass3~;
#P newex 293 167 70 1 lpass1~.abs;
#P newex 293 119 70 1 apass2~.abs;
#P newex 293 191 70 1 lpass2~.abs;
#P comment 378 140 151 1 2nd order all-pass (only signal inlets -like 'wahwah');
#P comment 380 124 96 1 2nd order all-pass;
#P comment 381 91 65 1 all-pass;
#P comment 380 169 96 1 1st order lowpass;
#P comment 381 190 96 1 2nd order lowpass;
#P comment 381 214 112 1 2nd order highpass;
#P comment 382 239 112 1 2nd order bandpass;
#P newex 293 214 70 1 hpass2~.abs;
#P newex 293 80 70 1 apass1~.abs 1200;
#P newex 293 56 81 1 tone1~.abs;
#P comment 382 51 94 1 tone control (Bass Mid Treble);
#P newex 52 147 152 1 stharms1~.abs 2000 stname;
#P newex 548 428 86 1 envfol1~.abs;
#P comment 544 392 122 1 Event Detection;
#P newex 50 319 92 1 phaseshift1~.abs;
#P newex 51 294 93 1 flange1~.abs 150;
#P newex 52 269 68 1 fshift1~.abs;
#P newex 54 217 78 1 rev1~.abs;
#P newex 54 192 68 1 rev4~.abs;
#P comment 154 79 93 1 simple delay line;
#P comment 206 125 54 1 one voice;
#P newex 52 77 98 1 delay1~.abs 250;
#P comment 616 322 98 1 Vu meter;
#P comment 615 298 98 1 peak detector;
#P newex 542 294 62 1 peak~.abs;
#P comment 531 271 112 1 Signal clinic;
#P newex 542 317 62 1 vu1~.abs;
#P newex 536 57 69 1 mute1~.abs;
#P comment 613 61 81 1 signal muting;
#P newex 536 81 75 1 gain1~.abs;
#P newex 536 105 75 1 gain2~.abs;
#P newex 535 133 75 1 stgain1~.abs;
#P comment 615 133 148 1 2 channel signal level control;
#P newex 537 184 54 1 db1.abs;
#P comment 599 180 161 1 decibel conversion (works with gain1~.abs modules above;
#P newex 536 157 75 1 qgain1~.abs;
#P comment 617 159 148 1 4 channel signal level control;
#P comment 618 213 150 1 1 input panning to 2 outputs;
#P newex 538 211 75 1 stpan1~.abs;
#P comment 618 239 150 1 1 input panning to 4 outputs;
#P newex 538 237 75 1 qpan1~.abs;
#P comment 616 85 109 1 signal level control;
#P comment 616 109 153 1 signal level control (db scale);
#P comment 523 31 91 1 Mixing;
#P comment 30 245 99 1 Modulators;
#P comment 145 320 98 1 phase shifter;
#P newex 51 346 68 1 rmod1~.abs;
#P comment 147 298 98 1 flanger;
#P comment 142 268 98 1 frequency shifter;
#P comment 31 168 77 1 Reverb;
#P comment 27 54 115 1 Delay;
#P comment 206 148 58 1 two voice;
#P comment 31 100 98 1 Harmonizers;
#P newex 53 122 152 1 harmv1~.abs delayname;
#P comment 21 12 212 5 Jimmies Help Panel;
#P comment 126 351 98 1 ring modulator;
#P comment 546 410 108 1 (audio --> control );
#P pop;
