#ifndef lint
static char rcsid[] =
    "$Revision: 2.2 $ IRCAM $Date: 1994/01/29 07:47:04 $";
#endif

/*
 *                      Copyright (c) 1993 by IRCAM
 *                          All rights reserved.
 *
 *  For any information regarding this and other IRCAM software, please
 *  send email to:
 *                              manager@ircam.fr
 *
 *      $Revision: 2.2 $ IRCAM $Date: 1994/01/29 07:47:04 $
 *
 * FTS by Miller Puckette
 *
 */


#ifdef I860
#include "../6a/6a.h"
#include "../6a/proto56.h"
#include "../56k/converterType.h"
#endif
#include "m_mess.h"
#include "d_graph.h"
#include "d_ugen.h"

char *progname = "fuck-me";
extern int cpmess_debug;
extern int max_debug;
int cp_this = 0;
int cp_nproc = 0;
int cp_usedacs;
int cp_adchack = 0;
int cp_slotno;
int cp_sr = 44100;              /* integer sampling rate use in dac_timefwd */
int cp_nchans;
extern float dsp_sr;
int maxdsp();
#define NSPINCOUNT 16
int cp_spincount[NSPINCOUNT], cp_spinphase, cp_nextspin;
static long dactime = 1;
extern int dsp_ticks;
float io_getsamplerate();
static void cp_setsamplerate();
void cp_setchans();

cp_binled(x)
{
    setLEDS(LED0, (((x) & 1) ? 16 : 0));
    setLEDS(LED1, (((x) & 2) ? 16 : 0));
    setLEDS(LED2, (((x) & 4) ? 16 : 0));
}

main(argc, argv)
char **argv;
{
    int i = 0, cpno, bkpt, arieldacs = 0, cddacs = 0, bksdacs = 0;
    long *l;
    sys_binled(0);
    /* PROTO->p_ftsflags = 0; */
    for (l = (long *) IOSPACE1; l < (long *) (IOSPACE1 + 0x20000); l++)
        *l = 0;
    PROTO->p_checksum = i;
    for (i = 0; !(PROTO->p_ftsflags & FTS_GO); i++)
        sys_led(0, i & 0x80000);
    sys_binled(0);
    cp_slotno = PROTO->p_ftsslot;
    sys_binled(0);
    sys_slotno(cp_slotno);
    /* cp_usedacs = ((PROTO->p_ftsflags & FTS_USEDACS) != 0); */
    cp_usedacs = 0;
    sys_binled(0);

    sys_vmem();

    sys_binled(0);

    if (cp_slotno & 1)
    {
        arieldacs = (PROTO->p_dactype == CONV_ARIEL);
        bksdacs = (PROTO->p_dactype == CONV_IRCAM);
        cddacs = (PROTO->p_dactype == CONV_CD);
    }
    else
        arieldacs = bksdacs = cddacs = 0;
    if (PROTO->p_ftsflags & FTS_KILLER)
    {
        sa_printf("dacs upsampled by 2\n");
        cp_adchack = 1;
    }
    sys_binled(0);
    /* sa_printf("break on %x\n", bkpt);  */
    /* sys_bkpt(0xa0000008, 2); */
    for (i = 0; i < MAXSLOTNO; i++)
    {
        int slot = i ^ 1;
        if (slot == cp_slotno)
        {
            cp_this = cp_nproc;
            rtfifo_setadvance(PROTO->p_ftscpu[slot].cpu_latency);
        }
        if (PROTO->p_ftscpu[slot].cpu_latency)
            cp_nproc++;
    }
    h_init(1);
    sys_binled(0);

    for (i = 0, cpno = 0; i < MAXSLOTNO; i++)
    {
        int slot = i ^ 1;
        if (PROTO->p_ftscpu[slot].cpu_latency)
        {
            if (slot != cp_slotno)
            {
                /* rtfifo_init(cpno, (int)(PROTO->p_ftscpu[slot].cpu_latency),
                   cp_slotno, slot, PROTO->p_ftsflags & FTS_KILLER); */
                rtfifo_init(cpno,
                            (int) (PROTO->p_ftscpu[slot].cpu_latency),
                            cp_slotno, slot, 0);
            }
            cpno++;
        }
    }
    h_canpost();
    sys_binled(0);
    {
        /* int sr = PROTO->p_srate;
           char *clocksrc;
           if (sr == 44100) clocksrc = "int44100";
           else if (sr == 48000) clocksrc = "int48000";
           else if (sr == 32000) clocksrc = "int32000";
           else clocksrc = "ext";
           if (sr == 44100) clocksrc = "int44100"; */
        /* sa_printf("init 56K: %d %d %d %d %d\n", cp_usedacs, cp_slotno,
           (PROTO->p_ftscpu[cp_slotno].cpu_latency) << cp_adchack,
           !(ariel | bksdacs), bksdacs, PROTO->p_srate);
           io_init56(cp_usedacs, cp_slotno,
           (PROTO->p_ftscpu[cp_slotno].cpu_latency) << cp_adchack,
           !(ariel | bksdacs), bksdacs, PROTO->p_srate); */

        /* sa_printf("io_init56: %d %d %d %d %d %d\n", cp_slotno, 
           (PROTO->p_ftscpu[cp_slotno].cpu_latency), cp_adchack,
           arieldacs, cddacs, bksdacs); */
        io_init56(cp_slotno,
                  (PROTO->p_ftscpu[cp_slotno].cpu_latency), cp_adchack,
                  arieldacs, cddacs, bksdacs);

        if (cp_slotno & 1)
        {
            /* sa_printf("io_setdacs: %d %d %s %d %d %d\n",
               cp_sr, 2, clocksrc, 0, 0, 0); */
            /* io_setdacs(cp_sr, 2, clocksrc, 0, 0, 0); -> host sets this */
            /* io_setrunning(1); */
        }
    }
    /* if (!cp_this) cp_findrate(PROTO->p_srate); */
    /* cp_setchans(cp_usedacs ? 2 : 0); */
    cp_setchans(0);
    sys_binled(0);
    if (!cp_this)
        post("fts: running in real time");
    post("CP %d (out of %d): slot %d, advance %d",
         cp_this + 1, cp_nproc, cp_slotno,
         (int) (PROTO->p_ftscpu[cp_slotno].cpu_latency));
#ifdef I860
    asm("st.c r0, fsr");
#endif
    sys_binled(0);
    while (1)
    {
        int foo = 0;
        cp_spinphase = (cp_spinphase + 1) & (NSPINCOUNT - 1);
        cp_spincount[cp_spinphase] = cp_nextspin;
        cp_nextspin = 0;
        sched_poll();           /* increment logicaltime */
        midi_poll();            /* keep up with MIDI in */
        dac_poll();
        host_poll();
        if (!foo--)
        {
            static int nexttime;
            hq_poll();
            if (logicaltime >= nexttime)
            {
                int foo = nexttime & 4;
                setLEDS(LED3, foo ? 16 : 0);
                if (!foo)
                    max_sendtimeup();
                nexttime += 500;
            }
            foo = 7;
        }
    }
    h_done();
    post("sock: exit(0)\n");
    sys_spin(1);
}

host_poll()
{
    int gotc;
    static int lastpeektime, gotbytes;
    if (logicaltime > lastpeektime)
    {
        lastpeektime = logicaltime;
        gotbytes = 0;
    }
    while (gotbytes < 400)
    {
        if ((gotc = sys_peekin()) >= 0)
            gotbytes++, cp_dochar(0, gotc);
        else if ((gotc = sys_peekin_animal()) >= 0)
            gotbytes++, cp_dochar(1, gotc);
        else
            break;
    }
}

cp_findrate(wantedrate)
{
    int measuredrate = (cp_usedacs ? io_getsamplerate() : 0);
    int finalrate;
    if (wantedrate)
    {
        if (measuredrate && measuredrate > 1.05 * wantedrate
            || wantedrate > 1.05 * measuredrate)
            warn("measured dac rate (roughly %d) overridden to %d",
                 measuredrate, wantedrate);
        finalrate = wantedrate;
    }
    else if (measuredrate > 46000)
        finalrate = 48000;
    else if (measuredrate > 38000)
        finalrate = 44100;
    else if (measuredrate > 28000)
        finalrate = 32000;
    else if (measuredrate > 14000)
        finalrate = 16000;
    else if (measuredrate > 10000)
        finalrate = 11025;
    else if (measuredrate > 0)
        finalrate = 8000;
    else
        finalrate = 44100;
    rtfifo_broadcast(cp_setsamplerate, (long) finalrate);
}

#define DACVS 64                /* vector size for a/d/a and inter-CP signal paths */
#define NCHAN 8                 /* maximum number of DACs and ADCs */
extern float soundout[], soundin[];
static int chanoffset[NCHAN];

extern void *u_chain;
int cp_xferframes;
#define XFERSIZE 64             /* number of samples we pass to dacs */
#define DACALIGN 16

realtime()
{
    return (dactime);
}

static void cp_setsamplerate(n)
int n;
{
    if (cp_adchack)
        n >>= 1;
    if (n <= 0)
        n = 1;
    dsp_sr = cp_sr = n;
}

void cp_setchans(n)
int n;
{
    if (n <= 0)
    {
        n = 0;
        cp_usedacs = 0;
    }
    else
    {
        if (n > NCHAN)
            n = NCHAN;
        if (n == 2)
            chanoffset[0] = 0, chanoffset[1] = 1;
        else if (n == 4)
            chanoffset[0] = 0, chanoffset[1] = 2,
                chanoffset[2] = 1, chanoffset[3] = 3;
        else if (n == 8)
            chanoffset[0] = 0, chanoffset[1] = 4,
                chanoffset[2] = 1, chanoffset[3] = 5,
                chanoffset[4] = 2, chanoffset[5] = 6,
                chanoffset[6] = 3, chanoffset[7] = 7;
        cp_usedacs = 1;
    }
    cp_xferframes = XFERSIZE / (cp_adchack ? (n << 1) : n);
    cp_nchans = n;
    cu_zero(soundout, cp_nchans * MAXVS);
    cu_zero(soundin, cp_nchans * MAXVS);
}

/* this is not useful at the moment because of rtfifo_setvs() */
/* dac_setvs(n)
{
  ... should set CP_VS as a variable ...
  rtfifo_setvs(n);
} */

int dactime_frac;

void dac_timefwd()
{
    dactime_frac += 64000;
    while (dactime_frac >= cp_sr)
    {
        dactime++;
        dactime_frac -= cp_sr;
    }
}

#define DACSPEEDFUDGE

dac_poll()
{
    float *in = soundin, *out = soundout;
    int i;
    char tempspace[XFERSIZE * sizeof(int) + DACALIGN];
    int *tempbuf =
        (int *) (tempspace + ((-(long) tempspace) & (DACALIGN - 1)));
    if (dactime > logicaltime)
        bug("dac_tick");
    if (cp_usedacs)
    {
        while (in < soundin + DACVS)
        {
            int i = 0;
            float *fp;
            while (!io_dacshungry())
            {
                cp_spin(100);
                if (++i > 5000)
                {
                    if (logicaltime < 100)
                        post("no DACS found");
                    else
                        post("dacs hung up -- disconnecting");
                    cu_zero(soundin, cp_nchans * MAXVS);
                    cp_usedacs = 0;
                    io_setrunning(0);
                    goto nodacs;
                }
            }
            if (cp_adchack)
            {
                int *tb2 = tempbuf;
                int ch = cp_nchans << 1;
                for (i = cp_nchans, fp = out; i--; fp += DACVS)
                    io_prepdacbuf(tb2++, fp, cp_xferframes, ch);
                for (i = cp_nchans, fp = out; i--; fp += DACVS)
                    io_prepdacbuf(tb2++, fp, cp_xferframes, ch);
                io_senddacs(tempbuf);
                tb2 = tempbuf;
                for (i = cp_nchans, fp = in; i--; fp += DACVS)
                    io_prepadcbuf(tb2++, fp, cp_xferframes, ch);
            }
            else if (cp_nchans == 2)
            {
                io_prepdacbuf(tempbuf, out, cp_xferframes, 2);
                io_prepdacbuf(tempbuf + 1, out + DACVS, cp_xferframes, 2);
                io_senddacs(tempbuf);
                io_prepadcbuf(tempbuf, in, cp_xferframes, 2);
                io_prepadcbuf(tempbuf + 1, in + DACVS, cp_xferframes, 2);
            }
            else
            {
                int ch = cp_nchans, *boo = chanoffset;
                for (i = ch, fp = out; i--; fp += DACVS)
                    io_prepdacbuf(tempbuf + *boo++, fp, cp_xferframes, ch);
                io_senddacs(tempbuf);
                boo = chanoffset;
                for (i = ch, fp = in; i--; fp += DACVS)
                    io_prepadcbuf(tempbuf + *boo++, fp, cp_xferframes, ch);
            }
            in += cp_xferframes;
            out += cp_xferframes;
        }
    }
  nodacs:
    cu_zero(soundout, cp_nchans * MAXVS);
    dac_timefwd();
}

cp_spin(n)
int n;
{
    int i;
    for (i = 0; i < n; i++);
    cp_nextspin++;
}

midi_poll()
{
    int midibyte;
    while ((midibyte = io_peekmidi()) >= 0)
        sched_domidi(midibyte);
}

Xmit(port, val)
long port;
long val;
{
    io_putmidi((int) val);
}

cp_canit()
{
}

cp_tick()
{
}

cp_doprint(louder)
{
    int i, sum;
    long memlefttosbrk();
    for (i = sum = 0; i < NSPINCOUNT; i++)
        sum += cp_spincount[i];
    sum -= cp_spincount[cp_spinphase];
    sum = sum * .99;
    post((u_chain ? "idle %d.%d%%; mem %dK, %d signals used" :
          "idle %d.%d%%, mem %dK"),
         sum / 10, sum % 10, memlefttosbrk() / 1024, sig_getcount());
    if (louder)
    {
        post("ticks:");
        for (i = 0; i < NSPINCOUNT; i++)
            postlong(cp_spincount[(cp_spinphase - i) & (NSPINCOUNT - 1)]);
    }
}

cp_print(x, louder)
void *x;
long louder;
{
    post(u_chain ? "------ DSP ON ------" : "------ DSP OFF ------");
    rtfifo_broadcast(cp_doprint, louder);
}

#ifndef I860
io_prepadcbuf(sp, fp, n, skip)
long *sp;
float *fp;
int n;
int skip;
{
    while (n--)
    {
        *fp++ = (*sp << 8) * (1. / 2147483648.);
        sp += skip;
    }
}

io_prepdacbuf(sp, fp, n, skip)
long *sp;
float *fp;
int n;
int skip;
{
    while (n--)
    {
        int xx = *fp++ * 8388608;
        if (xx > 8388352)
            xx = 8388352;
        else if (xx < -8388608)
            xx = -8388608;
        *sp = xx;
        sp += skip;
    }
}
#endif
