/* the NeXTStep sound header structure */

typedef struct {
    int magic;                  /* magic number */
    int dataLocation;           /* byte offset of first sample */
    int dataSize;               /* length of sound in bytes */
    int dataFormat;             /* format; see below */
    int samplingRate;           /* sample rate */
    int channelCount;           /* number of channels */
    char info[4];               /* comment */
} SNDSoundStruct;

#define SND_MAGIC   ((int)0x2e736e64)
#define SND_FORMAT_LINEAR_16  3
#define SND_FORMAT_LINEAR_24  4
#define SND_FORMAT_LINEAR_32  5
#define SND_FORMAT_FLOAT  6
