
/*
 *                      Copyright (c) 1993 by IRCAM
 *                          All rights reserved.
 *
 *  For any information regarding this and other IRCAM software, please
 *  send email to:
 *                              manager@ircam.fr
 *
 *      $Revision: 2.1 $ IRCAM $Date: 1993/09/08 08:59:23 $
 *
 * FTS by Miller Puckette
 *
 */

/* structures shared between animal.c, ani_class.c, etc. */

typedef struct _ax {
    t_animal_header x_header;
    void *x_x[1];
} t_ax;

typedef struct a_method {
    t_symbol *m_sym;
    t_symbol *m_file;
    t_method m_fn;
    char *m_space;
    struct a_method *m_next;
} t_a_method;

typedef struct _field {
    t_symbol *f_type;
    t_symbol *f_name;
} t_field;

typedef struct a_class {
    t_tinyobject c_ob;
    t_messlist *c_messlist;
    t_animal *c_animal;
    t_a_method *c_methods;
    t_symbol *c_name;
    t_field *c_fields;
    struct a_class *c_next;
    struct a_class *c_prev;
    int c_nitems;
} t_a_class;

extern t_animal *animal_self;
