#ifndef lint
static char rcsid[] =
    "$Revision: 2.1 $ IRCAM $Date: 1993/09/08 08:59:34 $";
#endif

/*
 *                      Copyright (c) 1993 by IRCAM
 *                          All rights reserved.
 *
 *  For any information regarding this and other IRCAM software, please
 *  send email to:
 *                              manager@ircam.fr
 *
 *      $Revision: 2.1 $ IRCAM $Date: 1993/09/08 08:59:34 $
 *
 * FTS by Miller Puckette
 *
 */


char *malloc();

/* returns 0 on success */
void sampler_midi(), voicebank_settest(), voicebank_tick(),
patch_setpitch(), patch_setpitchRange(), patch_setvelocity(),
patch_setvelRange(), patch_new(), patch_setname(),
patch_setoriginalPitch(), samplePatch_newPoles(), samplePatch_newfb(),
samplePatch_setpole(), voice_new(), voice_free(), voicebank_new(),
voicebank_free(), twoPoleEdit_setpoles(), twoPoleEdit_setx(),
twoPoleEdit_sety(), freqBand_setbandwidth(), freqBand_setlowfreq(),
freqBand_setfb();

fakeloadmacho(base, fn, pname, name)
char **base, **fn;
char *pname, *name;
{
    char *cp = name;
    while (*name)
    {
        if (*name == '/')
            cp = name + 1;
        name++;
    }
    if (!strcmp(cp, "sampler_midi.o"))
        *fn = (char *) sampler_midi;

    else if (!strcmp(cp, "voicebank_settest.o"))
        *fn = (char *) voicebank_settest;
    else if (!strcmp(cp, "voicebank_tick.o"))
        *fn = (char *) voicebank_tick;

    else if (!strcmp(cp, "samplePatch_setpitch.o"))
        *fn = (char *) patch_setpitch;
    else if (!strcmp(cp, "samplePatch_setpitchRange.o"))
        *fn = (char *) patch_setpitchRange;
    else if (!strcmp(cp, "samplePatch_setvelocity.o"))
        *fn = (char *) patch_setvelocity;
    else if (!strcmp(cp, "samplePatch_setvelRange.o"))
        *fn = (char *) patch_setvelRange;
    else if (!strcmp(cp, "samplePatch_new.o"))
        *fn = (char *) patch_new;
    else if (!strcmp(cp, "samplePatch_setname.o"))
        *fn = (char *) patch_setname;
    else if (!strcmp(cp, "samplePatch_newPoles.o"))
        *fn = (char *) samplePatch_newPoles;
    else if (!strcmp(cp, "samplePatch_newfb.o"))
        *fn = (char *) samplePatch_newfb;
    else if (!strcmp(cp, "samplePatch_setoriginalPitch.o"))
        *fn = (char *) patch_setoriginalPitch;
    else if (!strcmp(cp, "samplePatch_setpole.o"))
        *fn = (char *) samplePatch_setpole;

    else if (!strcmp(cp, "samplePatch_sety.o"))
        *fn = (char *) patch_setpitch;
    else if (!strcmp(cp, "samplePatch_seth.o"))
        *fn = (char *) patch_setpitchRange;
    else if (!strcmp(cp, "samplePatch_setx.o"))
        *fn = (char *) patch_setvelocity;
    else if (!strcmp(cp, "samplePatch_setw.o"))
        *fn = (char *) patch_setvelRange;

    else if (!strcmp(cp, "freqBand_setbandwidth.o"))
        *fn = (char *) freqBand_setbandwidth;
    else if (!strcmp(cp, "freqBand_setlowfreq.o"))
        *fn = (char *) freqBand_setlowfreq;
    else if (!strcmp(cp, "freqBand_setfb.o"))
        *fn = (char *) freqBand_setfb;

    else if (!strcmp(cp, "twoPoleEdit_setpoles.o"))
        *fn = (char *) twoPoleEdit_setpoles;
    else if (!strcmp(cp, "twoPoleEdit_setx.o"))
        *fn = (char *) twoPoleEdit_setx;
    else if (!strcmp(cp, "twoPoleEdit_sety.o"))
        *fn = (char *) twoPoleEdit_sety;

    else if (!strcmp(cp, "voice_new.o"))
        *fn = (char *) voice_new;
    else if (!strcmp(cp, "voice_free.o"))
        *fn = (char *) voice_free;

    else if (!strcmp(cp, "voicebank_new.o"))
        *fn = (char *) voicebank_new;
    else if (!strcmp(cp, "voicebank_free.o"))
        *fn = (char *) voicebank_free;

    else
        return (-1);
    if (!(*base = malloc(16)))
    {
        error("out of memory");
        return (-1);
    }
    post("patched %s", cp);
    return (0);
}

#ifdef I860
loadmacho(base, fn, pname, name)
char **base, **fn;
char *pname, *name;
{
    int ret = fakeloadmacho(base, fn, pname, name);
    if (ret)
    {
        error("%s: not preloaded", name);
    }
    return (ret);
}
#endif
