#ifndef lint
static char rcsid[] =
    "$Revision: 1.12 $ IRCAM $Date: 1994/01/04 18:42:13 $";
#endif

/*
 *                      Copyright (c) 1993 by IRCAM
 *                          All rights reserved.
 *
 *  For any information regarding this and other IRCAM software, please
 *  send email to:
 *                              manager@ircam.fr
 *
 *      $Revision: 1.12 $ IRCAM $Date: 1994/01/04 18:42:13 $
 *
 * FTS by Miller Puckette
 *
 */

#include "m_mess.h"

struct symbol
 s_max = { "max" },             /* must be first in list */
s__New = { "#N" }, s_new = { "new" }, s__Pat = { "#P" }, s__Tab = { "#T" },

    /* classes */
s_patcher = { "patcher" },
    s_vpatcher = { "vpatcher" },
    s_pchild = { "pchild" },
    s_vnewobj = { "vnewobj" },
    s_vnewex = { "vnewex" },
    s_vmessage = { "vmessage" },
    s_vcomment = { "vcomment" },
    s_vbutton = { "vbutton" },
    s_vtoggle = { "vtoggle" },
    s_vslider = { "vslider" },
    s_vnumber = { "vnumber" },
    s_vflonum = { "vflonum" },
    s_vinlet = { "vinlet" },
    s_voutlet = { "voutlet" },
    s_button = { "button" },
    s_toggle = { "toggle" },
    s_message = { "message" },
    s_slider = { "slider" },
    s_newobj = { "newobj" },
    s_newex = { "newex" },
    s_comment = { "comment" },
    s_number = { "number" },
    s_flonum = { "flonum" },
    s_inlet = { "inlet" },
    s_outlet = { "outlet" },
    s_int = { "int" },
    s_float = { "float" },
    s__plus = { "+" },
    s__minus = { "-" },
    s__times = { "*" },
    s__div = { "/" },
    s_random = { "random" },
    s_bangbang = { "bangbang" },
    s_delay = { "delay" },
    s_gate = { "gate" },
    s_speedlim = { "speedlim" },
    s_metro = { "metro" },
    s_line = { "line" },
    s_timer = { "timer" },
    s_example = { "example" },
    s__sigthold = { "thold~" },
    s_mtof = { "mtof" },
    s_ftom = { "ftom" },
    s_linedrive = { "linedrive" },
    s_pafctl = { "pafctl" },
    s_mark2 = { "mark2" },
    s_gumbo = { "gumbo" },
    s_freak = { "freak" },
    s_frog = { "frog" },
    s_vdel = { "vdel" },
    s_seq = { "seq" },
    s_table = { "table" },
    s_sel = { "sel" },
    s_select = { "select" },
    s__gt = { ">" },
    s__ge = { ">=" },
    s__lt = { "<" },
    s__le = { "<=" },
    s__ee = { "==" },
    s__ne = { "!=" },
    s__ba = { "&" },
    s__bo = { "|" },
    s__la = { "&&" },
    s__lo = { "||" },
    s__pc = { "%" },
    s__ls = { "<<" },
    s__rs = { ">>" },
    s_pipe = { "pipe" },
    s_makenote = { "makenote" },
    s_stripnote = { "stripnote" },
    s_pgmin = { "pgmin" },
    s_pgmout = { "pgmout" },
    s_touchin = { "touchin" },
    s_touchout = { "touchout" },
    s_bendin = { "bendin" },
    s_bendout = { "bendout" },
    s_ctlin = { "ctlin" },
    s_ctlout = { "ctlout" },
    s_polyin = { "polyin" },
    s_polyout = { "polyout" },
    s_notein = { "notein" },
    s_noteout = { "noteout" },
    s_midi = { "midi" },
    s_midiin = { "midiin" },
    s_midiout = { "midiout" },
    s_sysexin = { "sysexin" },
    s_pack = { "pack" },
    s_unpack = { "unpack" },
    s_swap = { "swap" },
    s_fswap = { "fswap" },
    s_change = { "change" },
    s_midiparse = { "midiparse" },
    s_midiformat = { "midiformat" },
    s_funbuff = { "funbuff" },
    s_bpe = { "bpe" },
    s_key = { "key" },
    s_keyup = { "keyup" },
    s_send = { "send" },
    s_s = { "s" },
    s_receive = { "receive" },
    s_r = { "r" },
    s_value = { "value" },
    s_v = { "v" },
    s_through = { "through" },
    s_vtable = { "vtable" },
    s_follow = { "follow" },
    s_del = { "del" },
    s_tabwind = { "tabwind" },
    s_split = { "split" },
    s_sustain = { "sustain" },
    s_expr = { "expr" },
    s_bag = { "bag" },
    s_trigger = { "trigger" },
    s_t = { "t" },
    s_i = { "i" },
    s_f = { "f" },
    s_rtin = { "rtin" },
    s_INT = { "INT" },
    s_FLOAT = { "FLOAT" },
    s_explode = { "explode" },
    s_qlist = { "qlist" },
    s_loco = { "loco" },
    s_declare = { "declare" },
    s__declare = { "#_declare_" },
    s_loadbang = { "loadbang" },
    s__loadbang = { "#_loadbang_" },
    s_openpanel = { "openpanel" }, s_savepanel = { "savepanel" },
/*  ZK */
s_absval = { "abs" },           /*obj  zk add on     */
s_drunk = { "drunk" },          /*obj  zk add on     */
s_accum = { "accum" },          /*obj  zk add on    */

    /* DDZ stuff graphics window */
s_mouse = { "mouse" },
    s_mousedown = { "mousedown" },
    s_mouseup = { "mouseup" },
    s_improwind = { "improwind" }, s_oval = { "oval" },
    /* messages */
s_bang = { "bang" },
    s_symbol = { "symbol" },
    s_list = { "list" },
    s_anything = { "anything" },
    s_hook = { "hook" },
    s_connect = { "connect" },
    s__connect = { "#connect" },
    s_disconnect = { "disconnect" },
    s_checkin = { "checkin" },
    s_clear = { "clear" },
    s_clr = { "clr" },
    s_print = { "print" },
    s_set = { "set" },
    s__set = { "_set" },
    s_start = { "start" },
    s_stop = { "stop" },
    s_record = { "record" },
    s_save = { "save" },
    s_tick = { "tick" },
    s_ping = { "ping" },
    s_led = { "led" },
    s_rats = { "rats" },
    s_addtopath = { "addtopath" },
    s_load = { "load" },
    s_append = { "append" },
    s_restore = { "restore" },
    s_psave = { "psave" },
    s_front = { "front" },
    s_dblclick = { "dblclick" },
    s_prestore = { "prestore" },
    s_read = { "read" },
    s_write = { "write" },
    s_eval = { "eval" },
    s_flush = { "flush" },
    s_inv = { "inv" },
    s_quantile = { "quantile" },
    s_writeold = { "writeold" },
    s_debug = { "debug" },
    s_next = { "next" },
    s_size = { "size" },
    s_jump = { "jump" },
    s_imbed = { "imbed" },
    s_undo = { "undo" },
    s_zero = { "zero" },
    s_const = { "const" },
    s_pop = { "pop" },
    s_length = { "length" }, s_free = { "free" }, s_sum = { "sum" },
/* funbuff */
s_interptab = { "interptab" },  /*mes  zk add on    */
s_interp = { "interp" },        /*mes  zk add on    */
s_find = { "find" },            /*mes  zk add on    */
s_dump = { "dump" },            /*mes  zk add on    */
s_goto = { "goto" },            /*mes  zk add on    */
s_reduce = { "reduce" },        /*mes  zk add on    */

/* inlet symbols */
s_in1 = { "in1" },
    s_in2 = { "in2" },
    s_in3 = { "in3" },
    s_in4 = { "in4" },
    s_in5 = { "in5" },
    s_in6 = { "in6" },
    s_in7 = { "in7" },
    s_in8 = { "in8" },
    s_in9 = { "in9" },
    s_ft1 = { "ft1" },
    s_ft2 = { "ft2" },
    s_ft3 = { "ft3" },
    s_ft4 = { "ft4" },
    s_ft5 = { "ft5" },
    s_ft6 = { "ft6" },
    s_ft7 = { "ft7" },
    s_ft8 = { "ft8" },
    s_ft9 = { "ft9" },
    s_sm1 = { "sm1" },
    s_sm2 = { "sm2" },
    s_sm3 = { "sm3" },
    s_sm4 = { "sm4" },
    s_sm5 = { "sm5" },
    s_sm6 = { "sm6" },
    s_sm7 = { "sm7" }, s_sm8 = { "sm8" }, s_sm9 = { "sm9" },
    /* window messages */
s_help = { "help" },
    s_click = { "click" },
    s_update = { "update" },
    s_paste = { "paste" },
    s_dup = { "dup" },
    s_wsize = { "wsize" },
    s_idle = { "idle" },
    s_open = { "open" },
    s_close = { "close" },
    s_activate = { "activate" },
    s_dialog = { "dialog" },
    s_scroll = { "scroll" },
    s_invis = { "invis" },
    s_chkmenu = { "chkmenu" },
    s_saveto = { "saveto" },
    s_filename = { "filename" },
    s_font = { "font" },
    s_edit = { "edit" },
    s_fixwidth = { "fixwidth" },
    s_lineup = { "lineup" },
    s_stretch = { "stretch" }, s_cut = { "cut" }, s_copy = { "copy" },
    /* misc uses */
s_zombie = { "zombie" }, s_binop1 = { "binop1" }, s_binop2 = { "binop2" }, s_shift = { "shift" }, s_logic = { "logic" }, s_v2 = { "v2" }, s_sock = { "sock" }, s_poly = { "poly" }, s_strip = { "strip" }, s_route = { "route" }, s_vuckterbean = { "vuckterbean" },    /* zk */
s_gint = { "gint" },
    s_gfloat = { "gfloat" },
    s_gbang = { "gbang" },
    s_setcp = { "setcp" },
    s_setparentcp = { "setparentcp" },
    s_inchild = { "inchild" },
    s_outchild = { "outchild" },
    s_rsend = { "rsend" },
    s_rreceive = { "rreceive" },
    s_load_obj = { "load_obj" }, s_setfts = { "setfts" },
    /* signals */
s_sig = { "sig" }, s__sig = { "sig~" }, s_put = { "put" }, s__sigplus = { "+~" }, s__sigclipplus = { "+!~" }, s__sigtimes = { "*~" }, s__sigminus = { "-~" }, s__sigdiv = { "/~" }, s__sigphasor = { "phasor~" }, s__sigtab1 = { "tab1~" }, s__sigramp = { "ramp~" }, s__sigwritesf = { "writesf~" }, s__sigreadsf = { "readsf~" }, s__sigvreadsf = { "vreadsf~" }, s__sigprint = { "print~" }, s__sigpitchtrack = { "pitchtrack~" }, s__sigdac = { "dac~" }, s__sigadc = { "adc~" }, s_dsock = { "dsock" }, s_dspchain = { "dspchain" }, s_sigunop = { "sigunop" }, s_sigbinop = { "sigbinop" }, s__sigline = { "line~" }, s__sigosc1 = { "osc1~" }, s__sigsnapshot = { "snapshot~" }, s__sigdelread = { "delread~" }, s__sigdelwrite = { "delwrite~" }, s__sigvd = { "vd~" }, s__sigsamphold = { "samphold~" }, s__sigclip = { "clip~" }, s__sigwahwah = { "wahwah~" }, s__sigtwopole = { "twopole~" }, s__sig2pole = { "2pole~" }, s__sig2p2z = { "2p2z~" }, s__sigsampread = { "sampread~" }, s__sigsampwrite = { "sampwrite~" }, s__sigsamppeek = { "samppeek~" }, s__sigtable = { "table~" }, s__sigup = { "up~" }, s__sigdown = { "down~" }, s__sigfft = { "fft~" }, s__sigifft = { "ifft~" }, s__sigpt = { "pt~" }, s__sigthrow = { "throw~" }, s__sigcatch = { "catch~" }, s__sigswitch = { "switch~" }, s__sigthreshold = { "threshold~" }, s__sigsamplerate = { "samplerate~" }, s__sigvectorsize = { "vectorsize~" }, s__sigboner = { "boner~" },   /* zk  */
s_play = { "play" }, s_reset = { "reset" }, s_internal = { "internal" },

    /* animal */
s_animal = { "animal" }, s_my = { "my" }, s_any_animal = { "any_animal" }, s_graphic = { "graphic" }, s_rename = { "rename" }, s_rm = { "rm" }, s_add = { "add" }, s_rm_method = { "rm_method" }, s_add_method = { "add_method" }, s_a_class = { "a_class" }, s_a_animal = { "a_animal" }, s_a_set = { "a_set" }, s_init = { "init" }, s_run = { "run" }, s_bind = { "bind" }, s_unbind = { "unbind" }, s_send_float = { "send_float" }, s_get = { "get" }, s_self = { "self" }, s__portal = { "_portal" }, s__active = { "_active" }, s_ = { "" };     /* MUST be the last symbol on list */

struct symbol *symlist[] = {
    &s_max, &s__New, &s_new, &s__Pat, &s__Tab, &s_patcher, &s_vpatcher,
    &s_pchild, &s_vnewobj, &s_vnewex, &s_vmessage, &s_vcomment,
    &s_vbutton, &s_vtoggle, &s_vslider, &s_vnumber, &s_vflonum, &s_vinlet,
    &s_voutlet, &s_button, &s_toggle, &s_message, &s_slider, &s_newobj,
    &s_newex, &s_comment, &s_number, &s_flonum, &s_inlet, &s_outlet,
    &s_int, &s_float, &s__plus, &s__minus, &s__times, &s__div, &s_random,
    &s_bangbang, &s_delay, &s_gate, &s_speedlim, &s_metro, &s_line,
    &s_timer, &s_example, &s__sigthold, &s_mtof, &s_ftom, &s_linedrive,
    &s_pafctl, &s_mark2, &s_gumbo, &s_freak, &s_frog, &s_vdel, &s_seq,
    &s_table, &s_sel, &s_select, &s__gt, &s__ge, &s__lt, &s__le, &s__ee,
    &s__ne, &s__ba, &s__bo, &s__la, &s__lo, &s__pc, &s__ls, &s__rs,
    &s_pipe, &s_makenote, &s_stripnote, &s_pgmin, &s_pgmout, &s_touchin,
    &s_touchout, &s_bendin, &s_bendout, &s_ctlin, &s_ctlout, &s_polyin,
    &s_polyout, &s_notein, &s_noteout, &s_midi, &s_midiin, &s_midiout,
    &s_sysexin, &s_pack, &s_unpack, &s_swap, &s_fswap, &s_change,
    &s_midiparse, &s_midiformat, &s_funbuff, &s_bpe, &s_key, &s_keyup,
    &s_send, &s_s, &s_receive, &s_r, &s_value, &s_v, &s_through,
    &s_vtable, &s_follow, &s_del, &s_tabwind, &s_split, &s_sustain,
    &s_expr, &s_bag, &s_trigger, &s_t, &s_i, &s_f, &s_rtin, &s_INT,
    &s_FLOAT, &s_explode, &s_qlist, &s_loco, &s_declare, &s__declare,
    &s_loadbang, &s__loadbang, &s_openpanel, &s_savepanel, &s_absval,
        &s_drunk,
    &s_accum, &s_mouse,
    &s_mousedown, &s_mouseup, &s_improwind, &s_oval, &s_bang, &s_symbol,
    &s_list, &s_anything, &s_hook, &s_connect, &s__connect, &s_disconnect,
    &s_checkin, &s_clear, &s_clr, &s_print, &s_set, &s__set, &s_start,
        &s_stop,
    &s_record, &s_save, &s_tick, &s_ping, &s_led, &s_rats, &s_addtopath,
    &s_load, &s_append, &s_restore, &s_psave, &s_front, &s_dblclick,
    &s_prestore, &s_read, &s_write, &s_eval, &s_flush, &s_inv,
    &s_quantile, &s_writeold, &s_debug, &s_next, &s_size, &s_jump,
    &s_imbed, &s_undo, &s_zero, &s_const, &s_pop, &s_length, &s_free,
    &s_sum, &s_interptab, &s_interp, &s_find, &s_dump, &s_goto, &s_reduce,
    &s_in1, &s_in2, &s_in3, &s_in4, &s_in5, &s_in6, &s_in7, &s_in8,
    &s_in9, &s_ft1, &s_ft2, &s_ft3, &s_ft4, &s_ft5, &s_ft6, &s_ft7,
    &s_ft8, &s_ft9, &s_sm1, &s_sm2, &s_sm3, &s_sm4, &s_sm5, &s_sm6,
    &s_sm7, &s_sm8, &s_sm9, &s_help, &s_click, &s_update, &s_paste,
    &s_dup, &s_wsize, &s_idle, &s_open, &s_close, &s_activate, &s_dialog,
    &s_scroll, &s_invis, &s_chkmenu, &s_saveto, &s_filename, &s_font,
    &s_edit, &s_fixwidth, &s_lineup, &s_stretch, &s_cut, &s_copy,
    &s_zombie, &s_binop1, &s_binop2, &s_shift, &s_logic, &s_v2, &s_sock,
    &s_poly, &s_strip, &s_route, &s_vuckterbean, &s_gint, &s_gfloat,
    &s_gbang, &s_setcp, &s_setparentcp, &s_inchild, &s_outchild, &s_rsend,
    &s_rreceive, &s_load_obj, &s_setfts, &s_sig, &s__sig, &s_put,
    &s__sigplus, &s__sigclipplus, &s__sigtimes, &s__sigminus, &s__sigdiv,
    &s__sigphasor, &s__sigtab1, &s__sigramp, &s__sigwritesf,
    &s__sigreadsf, &s__sigvreadsf, &s__sigprint, &s__sigpitchtrack,
        &s__sigdac,
    &s__sigadc, &s_dsock, &s_dspchain, &s_sigunop, &s_sigbinop,
    &s__sigline, &s__sigosc1, &s__sigsnapshot, &s__sigdelread,
    &s__sigdelwrite, &s__sigvd, &s__sigsamphold, &s__sigclip,
    &s__sigwahwah, &s__sigtwopole, &s__sig2pole,
    &s__sig2p2z, &s__sigsampread, &s__sigsampwrite, &s__sigsamppeek,
    &s__sigtable, &s__sigup, &s__sigdown, &s__sigfft, &s__sigifft,
    &s__sigpt, &s__sigthrow, &s__sigcatch, &s__sigswitch,
    &s__sigthreshold, &s__sigsamplerate, &s__sigvectorsize,
    &s__sigboner, &s_play, &s_reset, &s_internal,
    &s_animal, &s_my, &s_any_animal, &s_graphic, &s_rename, &s_rm, &s_add,
    &s_rm_method, &s_add_method, &s_a_class, &s_a_animal, &s_a_set,
    &s_init, &s_run, &s_bind, &s_unbind, &s_send_float, &s_get, &s_self,
    &s__portal, &s__active, &s_
};

void
#ifdef GRAPHICS
    /* the patcher */
*patcher(), *vpatcher(),
      /* p_table[123].c */
*vtable_new(),
#else
    /* l_patcher.c */
*gpatcher_new(), *pchild_new(), *gint_new(), *gfloat_new(), *gbutton_new(),
    *gtoggle_new(), *gmessage_new(), *ginlet_new(), *goutlet_new(),
    *inchild_new(), *outchild_new(),
    /* l_rsend.c */
*rreceive_new(),
    /* l_explode.c, x_exp2.c */
*gexplode_new(),
    /* l_animal.c */
*a_class_new(), *a_animal_new(), *a_set_new(),
    /* l_portal.c */
*portal_new(),
    /* l_table2.c */
*tabwind_fakenew(),
#endif
    /* x_qlist[12].c */
*qlist_new(),
    /* l_obj1.c */
*print_new(), *integer_new(), *real_new(), *pack_new(),
    *unpack_new(), *swap_new(), *fswap_new(), *trigger_new(), *pipe_new(),
    /* l_obj2.c */
*change_new(),
    *plus_new(), *minus_new(), *times_new(), *div_new(),
    *gt_new(), *ge_new(), *lt_new(), *le_new(), *ee_new(), *ne_new(),
    *ba_new(), *bo_new(), *la_new(), *lo_new(), *pc_new(),
    *ls_new(), *rs_new(),
      /* obj3.c */
*metro_new(), *speedlim_new(), *gate_new(), *del_new(), *random_new(),
      /* obj4.c */
*send_new(), *receive_new(), *value_new(), *through_new(),
      /* obj5.c */
*line_new(), *timer_new(),
      /* obj6.c */
*mtof_new(), *ftom_new(), linedrive_new(),
      /* x_pma.c */
*pafctl_new(), *mark2_new(), *gumbo_new(), *freak_new(), *frog_new(),
    *vdel_new(),
      /* loco.c */
*loco_new(),
      /* x_declare.c */
*declare_new(), *loadbang_new(),
      /* x_panel.c */
*openpanel_new(), *savepanel_new(),
      /* p_table[123].c */
*table_new(),
      /*  zk_obj[12].c   */
*drunk_new(), *absval_new(), *split_new(), *zkselect_new(),
    *bangbang_new(), *sel_new(), *strip_new(),
      /*  zk_obj3.c   */
*vuckterbean_new(), *sigboner_new(),
      /* stefan */
*lpc_new(),
      /* newmidi.c */
*pgmin_new(), *pgmout_new(), *bendin_new(), *bendout_new(),
    *touchin_new(), *touchout_new(),
    *polyin_new(), *polyout_new(),
    *ctlin_new(), *ctlout_new(), *notein_new(), *noteout_new(),
    *midiin_new(), *sysexin_new(), *midiout_new(), *rtin_new(),
      /* zk_key.c */
*key_new(), *keyup_new(),
      /* note.c */
*pipe_new(), *stripnote_new(), *makenote_new(), *sustain_new(), *bag_new(),
      /* zkfunbuff.c */
*funbuff_new(),
      /* zk_bpe.c */
*bpe_new(),
      /*  zkparse/format.c  */
*midiformat_new(), *midiparse_new(),
      /*  zkaccumulater.c  */
*accumulate_new(),
      /* seq.c */
*midiseq_new(), *follow_new(),
      /* *vexp* -- by David Yadegari */
*expr_new(),
      /* p_exp[123].c */
*explode_new(),
    /* d_osc.c */
*phasor_new(), *sigosc1_new(), *sigtab1_new(),
    /* d_control.c */
*ctlsig_new(), *sigline_new(), *sigsnap_new(),
    /* d_arithmetic.c */
*sigplus_new(), *sigtimes_new(), *sigminus_new(), *sigdiv_new(),
    /* d_delay.c */
*sigdelwrite_new(), *sigdelread_new(), *sigvd_new(),
    /* d_filters.c */
*sigsamphold_new(), *sigf2p_new(), *sigwahwah_new(),
    *sig2p2z_new(), *sigclip_new(), *sigsamphold_new(),
    /* d_sample.c */
*sigsampread_new(), *sigsampwrite_new(),
    *sigsamppeek_new(), *sigtable_new(),
    /* d_io.c */
*sigdac_new(), *sigadc_new(), *sigwritesf_new(), *sigprint_new(),
    /* d_resample.c */
*sigup_new(), *sigdown_new(),
    /* d_fft.c */
*sigfft_new(), *sigifft_new(),
    /* d_pitch.c */
*sigpt_new(),
    /* d_throw.c */
*sigthrow_new(), *sigcatch_new(), *sigswitch_new(),
    /* d_threshold.c */
*sigthreshold_new(),
    /* d_param.c */
*sigsamplerate_new(), *sigvectorsize_new(),
    /* d_disk.c */
*sigwritesf_new(), *sigreadsf_new(), *sigvreadsf_new(),
    /* s_control.c */
*example_new(),
    /* s_dsp.c */
*sigthold_new(),
    /* x_animal.c */
*maxanimal_new(), *my_new(), *newload();

c_qnew()
{
    c_new(&s__New, NIL, sizeof(t_object), 0, 0);
#ifdef GRAPHICS
    c_addmess((t_method) patcher, &s_patcher, A_DEFSYM, 0);
    c_addmess((t_method) vpatcher, &s_vpatcher, A_LONG, A_LONG, A_LONG,
              A_LONG, A_DEFLONG, 0);
    c_addmess((t_method) vtable_new, &s_vtable, A_GIMME, 0);
#else
    /* l_patcher.c */
    c_addmess((t_method) gtoggle_new, &s_vtoggle, 0);
    c_addmess((t_method) gint_new, &s_vslider, 0);
    c_addmess((t_method) gint_new, &s_vnumber, 0);
    c_addmess((t_method) gfloat_new, &s_vflonum, 0);
    c_addmess((t_method) gbutton_new, &s_vbutton, 0);
    c_addmess((t_method) gmessage_new, &s_vmessage, A_GIMME, 0);
    c_addmess((t_method) ginlet_new, &s_vinlet, A_OBJ, A_LONG, A_LONG, 0);
    c_addmess((t_method) inchild_new, &s_inchild, A_LONG, 0);
    c_addmess((t_method) outchild_new, &s_outchild, A_LONG, 0);
    c_addmess((t_method) goutlet_new, &s_voutlet, A_OBJ, A_LONG, A_LONG,
              0);
    c_addmess((t_method) gpatcher_new, &s_patcher, A_GIMME, 0);
    c_addmess((t_method) pchild_new, &s_pchild, A_SYM, A_SYM, 0);
    /* l_rsend.c */
    c_addmess((t_method) rreceive_new, &s_rreceive, A_LONG, A_DEFLONG, 0);
    /* p_table2.c */
    c_addmess((t_method) tabwind_fakenew, &s_tabwind, A_OBJ, 0);
#endif
/* obj1 */
    c_addmess((t_method) print_new, &s_print, A_DEFSYM, 0);
    c_addmess((t_method) integer_new, &s_i, A_DEFLONG, 0);
    c_addmess((t_method) integer_new, &s_int, A_DEFLONG, 0);
    c_addmess((t_method) real_new, &s_f, A_DEFFLOAT, 0);
    c_addmess((t_method) real_new, &s_float, A_DEFFLOAT, 0);
    c_addmess((t_method) pack_new, &s_pack, A_GIMME, 0);
    c_addmess((t_method) unpack_new, &s_unpack, A_GIMME, 0);
    c_addmess((t_method) swap_new, &s_swap, A_GIMME, 0);
    c_addmess((t_method) fswap_new, &s_fswap, A_GIMME, 0);
    c_addmess((t_method) trigger_new, &s_trigger, A_GIMME, 0);
    c_addmess((t_method) trigger_new, &s_t, A_GIMME, 0);
    c_addmess((t_method) pipe_new, &s_pipe, A_GIMME, 0);
/* obj2 */
    c_addmess((t_method) change_new, &s_change, A_DEFLONG, 0);
    c_addmess((t_method) plus_new, &s__plus, A_GIMME, 0);
    c_addmess((t_method) minus_new, &s__minus, A_GIMME, 0);
    c_addmess((t_method) times_new, &s__times, A_GIMME, 0);
    c_addmess((t_method) div_new, &s__div, A_GIMME, 0);
    c_addmess((t_method) gt_new, &s__gt, A_GIMME, 0);
    c_addmess((t_method) ge_new, &s__ge, A_GIMME, 0);
    c_addmess((t_method) lt_new, &s__lt, A_GIMME, 0);
    c_addmess((t_method) le_new, &s__le, A_GIMME, 0);
    c_addmess((t_method) ee_new, &s__ee, A_GIMME, 0);
    c_addmess((t_method) ne_new, &s__ne, A_GIMME, 0);
    c_addmess((t_method) ba_new, &s__ba, A_GIMME, 0);
    c_addmess((t_method) bo_new, &s__bo, A_GIMME, 0);
    c_addmess((t_method) la_new, &s__la, A_GIMME, 0);
    c_addmess((t_method) lo_new, &s__lo, A_GIMME, 0);
    c_addmess((t_method) pc_new, &s__pc, A_GIMME, 0);
    c_addmess((t_method) ls_new, &s__ls, A_GIMME, 0);
    c_addmess((t_method) rs_new, &s__rs, A_GIMME, 0);
/* obj3 */
    c_addmess((t_method) metro_new, &s_metro, A_DEFLONG, 0);
    c_addmess((t_method) speedlim_new, &s_speedlim, A_DEFLONG, 0);
    c_addmess((t_method) gate_new, &s_gate, 0);
    c_addmess((t_method) del_new, &s_del, A_DEFLONG, 0);
    c_addmess((t_method) del_new, &s_delay, A_DEFLONG, 0);
    c_addmess((t_method) random_new, &s_random, A_DEFLONG, 0);
/* obj4.c  */
    c_addmess((t_method) send_new, &s_send, A_SYM, 0);
    c_addmess((t_method) send_new, &s_s, A_SYM, 0);
    c_addmess((t_method) receive_new, &s_receive, A_SYM, 0);
    c_addmess((t_method) receive_new, &s_r, A_SYM, 0);
    c_addmess((t_method) value_new, &s_value, A_SYM, 0);
    c_addmess((t_method) value_new, &s_v, A_SYM, 0);
#ifndef GRAPHICS
    c_addmess((t_method) through_new, &s_through, A_SYM, A_OBJ, 0);
#endif
/* obj5.c  */
    c_addmess((t_method) line_new, &s_line, A_DEFLONG, A_DEFLONG, 0);
    c_addmess((t_method) timer_new, &s_timer, 0);
/* obj6.c  */
    c_addmess((t_method) mtof_new, &s_mtof, 0);
    c_addmess((t_method) ftom_new, &s_ftom, 0);
    c_addmess((t_method) linedrive_new, &s_linedrive,
              A_FLOAT, A_FLOAT, A_FLOAT, A_FLOAT, 0);

/* x_pma.c  */
    c_addmess((t_method) pafctl_new, &s_pafctl, 0);
    c_addmess((t_method) mark2_new, &s_mark2, 0);
    c_addmess((t_method) gumbo_new, &s_gumbo, A_DEFLONG, 0);
    c_addmess((t_method) freak_new, &s_freak, A_DEFLONG, 0);
    c_addmess((t_method) frog_new, &s_frog, A_DEFLONG, 0);
    c_addmess((t_method) vdel_new, &s_vdel, A_DEFFLOAT, 0);
/* x_loco.c */
    c_addmess((t_method) loco_new, &s_loco, A_DEFLONG, A_DEFLONG, 0);
    c_addmess((t_method) loco_new, &s_poly, A_DEFLONG, A_DEFLONG, 0);
/* x_declare.c */
    c_addmess((t_method) declare_new, &s_declare, A_GIMME, 0);
    c_addmess((t_method) loadbang_new, &s_loadbang, 0);
/* x_panel.c */
    c_addmess((t_method) openpanel_new, &s_openpanel, 0);
    c_addmess((t_method) savepanel_new, &s_savepanel, 0);
/* p_table[123].c */
    c_addmess((t_method) table_new, &s_table, A_DEFSYM, 0);
/* zk_obj[12].c  */
    c_addmess((t_method) split_new, &s_split, A_DEFLONG, A_DEFLONG, 0);
    c_addmess((t_method) absval_new, &s_absval, 0);
    c_addmess((t_method) drunk_new, &s_drunk, A_DEFLONG, A_DEFLONG, 0);
    c_addmess((t_method) bangbang_new, &s_bangbang, A_DEFLONG, 0);
    c_addmess((t_method) zkselect_new, &s_select, A_GIMME, 0);
    c_addmess((t_method) zkselect_new, &s_sel, A_GIMME, 0);
    c_addmess((t_method) strip_new, &s_route, A_GIMME, 0);
/* zk_obj3.c  */
    c_addmess((t_method) vuckterbean_new, &s_vuckterbean, A_SYM, A_LONG,
              0);
    c_addmess((t_method) sigboner_new, &s__sigboner, A_SYM, A_LONG, 0);
/* x_*vexp*.c -- David Yadegari */
    c_addmess((t_method) expr_new, &s_expr, A_GIMME, 0);
/* newmidi.c */
    c_addmess((t_method) pgmin_new, &s_pgmin, A_DEFLONG, 0);
    c_addmess((t_method) pgmout_new, &s_pgmout, A_DEFLONG, 0);
    c_addmess((t_method) bendin_new, &s_bendin, A_DEFLONG, 0);
    c_addmess((t_method) bendout_new, &s_bendout, A_DEFLONG, 0);
    c_addmess((t_method) touchin_new, &s_touchin, A_DEFLONG, 0);
    c_addmess((t_method) touchout_new, &s_touchout, A_DEFLONG, 0);
    c_addmess((t_method) ctlin_new, &s_ctlin, A_DEFLONG, A_DEFLONG, 0);
    c_addmess((t_method) ctlout_new, &s_ctlout, A_DEFLONG, A_DEFLONG, 0);
    c_addmess((t_method) notein_new, &s_notein, A_DEFLONG, 0);
    c_addmess((t_method) noteout_new, &s_noteout, A_DEFLONG, 0);
    c_addmess((t_method) midiout_new, &s_midiout, A_DEFLONG, 0);
    c_addmess((t_method) midiin_new, &s_midiin, A_DEFLONG, 0);
    c_addmess((t_method) sysexin_new, &s_sysexin, A_DEFLONG, 0);
    c_addmess((t_method) rtin_new, &s_rtin, A_DEFLONG, 0);
    c_addmess((t_method) polyin_new, &s_polyin, A_DEFLONG, A_DEFLONG, 0);
    c_addmess((t_method) polyout_new, &s_polyout, A_DEFLONG, A_DEFLONG, 0);
/* zk_*.c  */
    c_addmess((t_method) funbuff_new, &s_funbuff, A_GIMME, 0);
    c_addmess((t_method) bpe_new, &s_bpe, 0);
#ifdef GRAPHICS
    c_addmess((t_method) key_new, &s_key, 0);
    c_addmess((t_method) keyup_new, &s_keyup, 0);
#else
    c_addmess((t_method) integer_new, &s_key, A_DEFLONG, 0);
    c_addmess((t_method) integer_new, &s_keyup, A_DEFLONG, 0);
#endif
    c_addmess((t_method) midiformat_new, &s_midiformat, A_DEFLONG, 0);
    c_addmess((t_method) midiparse_new, &s_midiparse, 0);
    c_addmess((t_method) accumulate_new, &s_accum, A_GIMME, 0);
/* seq.c */
    /* c_addmess((t_method)midiseq_new, &s_seq, A_GIMME, 0);
       c_addmess((t_method)follow_new, &s_follow,  A_GIMME, 0); */
/* note.c */
    c_addmess((t_method) stripnote_new, &s_stripnote, 0);
    c_addmess((t_method) makenote_new, &s_makenote,
              A_DEFLONG, A_DEFLONG, 0);
    c_addmess((t_method) sustain_new, &s_sustain, A_DEFLONG, A_DEFLONG, 0);
    c_addmess((t_method) bag_new, &s_bag, A_DEFSYM, 0);

/* p_exp[123].c */
#ifdef GRAPHICS
    c_addmess((t_method) explode_new, &s_explode, A_DEFSYM, 0);
#else
    c_addmess((t_method) gexplode_new, &s_explode, A_DEFSYM, 0);
#endif                          /* GRAPHICS */
/* x_qlist[12].c */
    c_addmess((t_method) qlist_new, &s_qlist, A_GIMME, 0);
    /* d_osc.c */
    c_addmess((t_method) phasor_new, &s__sigphasor, 0);
    c_addmess((t_method) sigosc1_new, &s__sigosc1, A_DEFSYM, 0);
    c_addmess((t_method) sigtab1_new, &s__sigtab1, A_DEFSYM, 0);
    /* d_control.c */
    c_addmess((t_method) ctlsig_new, &s__sig, A_DEFFLOAT, A_DEFLONG, 0);
    c_addmess((t_method) sigline_new, &s__sigline, A_DEFLONG, 0);
    c_addmess((t_method) sigsnap_new, &s__sigsnapshot, 0);
    /* d_arithmetic.c */
    c_addmess((t_method) sigplus_new, &s__sigplus, 0);
    c_addmess((t_method) sigtimes_new, &s__sigtimes, 0);
    c_addmess((t_method) sigminus_new, &s__sigminus, 0);
    c_addmess((t_method) sigdiv_new, &s__sigdiv, 0);
    /* d_delay.c */
    c_addmess((t_method) sigdelwrite_new, &s__sigdelwrite,
              A_SYM, A_DEFFLOAT, A_DEFLONG, 0);
    c_addmess((t_method) sigdelread_new, &s__sigdelread,
              A_SYM, A_DEFFLOAT, A_DEFLONG, 0);
    c_addmess((t_method) sigvd_new, &s__sigvd,
              A_SYM, A_DEFFLOAT, A_DEFLONG, 0);
    /* d_filters.c */
    c_addmess((t_method) sigsamphold_new, &s__sigsamphold, 0);
    c_addmess((t_method) sigf2p_new, &s__sig2pole,
              A_DEFFLOAT, A_DEFFLOAT, A_DEFFLOAT, 0);
    c_addmess((t_method) sigf2p_new, &s__sigtwopole,
              A_DEFFLOAT, A_DEFFLOAT, A_DEFFLOAT, 0);
    c_addmess((t_method) sig2p2z_new, &s__sig2p2z, A_GIMME, 0);
    c_addmess((t_method) sigwahwah_new, &s__sigwahwah, A_DEFLONG, 0);
    c_addmess((t_method) sigclip_new, &s__sigclip,
              A_DEFFLOAT, A_DEFFLOAT, 0);
    /* d_sample.c */
    c_addmess((t_method) sigtable_new, &s__sigtable, A_SYM, A_DEFFLOAT, 0);
    c_addmess((t_method) sigsampread_new, &s__sigsampread,
              A_SYM, A_DEFFLOAT, 0);
    c_addmess((t_method) sigsampwrite_new, &s__sigsampwrite, A_SYM, 0);
    c_addmess((t_method) sigsamppeek_new, &s__sigsamppeek, A_SYM, 0);
    /* d_io.c */
    c_addmess((t_method) sigdac_new, &s__sigdac, A_GIMME, 0);
    c_addmess((t_method) sigadc_new, &s__sigadc, A_GIMME, 0);
    c_addmess((t_method) sigprint_new, &s__sigprint, A_DEFSYM, 0);
    /* d_resample.c */
    c_addmess((t_method) sigup_new, &s__sigup, 0);
    c_addmess((t_method) sigdown_new, &s__sigdown, 0);
    /* d_fft.c */
    c_addmess((t_method) sigfft_new, &s__sigfft,
              A_DEFLONG, A_DEFLONG, A_DEFLONG, 0);
    c_addmess((t_method) sigifft_new, &s__sigifft,
              A_DEFLONG, A_DEFLONG, A_DEFLONG, 0);
    /* x_animal.c */
    /* d_pitch.c */
    c_addmess((t_method) sigpt_new, &s__sigpt, A_DEFLONG, A_DEFLONG, 0);
    c_addmess((t_method) sigpt_new, &s__sigpitchtrack,
              A_DEFLONG, A_DEFLONG, 0);
    /* d_throw.c */
    c_addmess((t_method) sigthrow_new, &s__sigthrow, A_DEFSYM, 0);
    c_addmess((t_method) sigcatch_new, &s__sigcatch, A_DEFSYM, 0);
    c_addmess((t_method) sigswitch_new, &s__sigswitch, 0);
    /* d_threshold.c */
    c_addmess((t_method) sigthreshold_new, &s__sigthreshold,
              A_DEFFLOAT, A_DEFFLOAT, A_DEFFLOAT, A_DEFFLOAT, 0);
    /* d_disk.c */
    c_addmess((t_method) sigwritesf_new, &s__sigwritesf,
              A_DEFLONG, A_DEFLONG, A_DEFLONG, 0);
    c_addmess((t_method) sigreadsf_new, &s__sigreadsf,
              A_DEFLONG, A_DEFLONG, A_DEFLONG, 0);
    c_addmess((t_method) sigvreadsf_new, &s__sigvreadsf,
              A_DEFSYM, A_DEFLONG, A_DEFLONG, A_DEFLONG, A_DEFLONG, 0);
    /* d_param.c */
    c_addmess((t_method) sigsamplerate_new, &s__sigsamplerate, 0);
    c_addmess((t_method) sigvectorsize_new, &s__sigvectorsize, 0);
    /* x_animal.c */
    c_addmess((t_method) maxanimal_new, &s_animal, A_DEFSYM, 0);
    c_addmess((t_method) my_new, &s_my, A_GIMME, 0);
#ifndef GRAPHICS
    /* l_animal.c */
    c_addmess((t_method) a_set_new, &s_a_set, 0);
    c_addmess((t_method) a_animal_new, &s_a_animal, A_OBJ, 0);
    c_addmess((t_method) a_class_new, &s_a_class, A_SYM, 0);
    /* l_portal.c */
    c_addmess((t_method) portal_new, &s__portal, A_GIMME, 0);
#else
    /* anything else looks for file (if you're Max) */
    c_addmess((t_method) newload, &s_anything, A_GIMME, 0);
#endif
}

conf_init()
{
    t_symbol **sp;
#ifdef GRAPHICS
    tio_init();
    sock_init();
#endif
    for (sp = symlist; sp < symlist + sizeof(symlist) / sizeof(*symlist);
         sp++)
        sym_put(*sp);
}

int loadnumber = -1;

#ifdef GRAPHICS
extern t_symbol s__Pat, *t_getlastopenvolume();

/* load a code segment by name, searching along path */

int loadcode(classname)
char *classname;
{
    t_symbol *extvol;
    char basename[1024], filename[1024], composedname[1024];
    int fd;
    strcpy(basename, classname);
    strcpy(filename, basename);
#ifdef NEXTSTEP
    strcat(filename, ".max_ns68k");
#endif

#ifdef __sgi
#ifdef N32
    strcat(filename, ".max_n32");
#else
    strcat(filename, ".max_sgi");
#endif                          /* N32 */
#endif                          /* __sgi */

#ifdef __linux
    strcat(filename, ".max_lnx");
#endif                          /* __linux */


    fd = open_via_path(filename, defvolume, 0);
    if (fd < 0)
    {
        strcpy(basename, classname);
        strcat(basename, "/");
        strcat(basename, classname);
        strcpy(filename, basename);
#ifdef NEXTSTEP
        strcat(filename, ".max_ns68k");
#endif

#ifdef __sgi
#ifdef N32
        strcat(filename, ".max_n32");
#else
        strcat(filename, ".max_sgi");
#endif
#endif                          /* __sgi */

#ifdef __linux
        strcat(filename, ".max_lnx");
#endif                          /* __linux */

        fd = open_via_path(filename, defvolume, 0);
    }
    if (fd < 0)
        return (-1);
    close(fd);
    t_composename(composedname, 1000, t_getlastopenvolume()->s_name,
                  filename);
    if (!load_object(composedname, classname))
    {
        post("%s: load failed", composedname);
        return (-1);
    }
    post("loaded extern: %s", composedname);
    t_composename(composedname, 1000, t_getlastopenvolume()->s_name,
                  basename);
    h_vmess(NIL, gensym("load_obj"), "ss", gensym(composedname),
            gensym(classname));
    return (0);
}

extern t_object qnewobj;
extern void *newest;

void *lowload(char *name, t_symbol * volume, int ac, struct atom *av,
              int couldedit);

    /* load a patch, appending a suffix to filename */
void *loadwithsuffix(const char *name, t_symbol *volume,
                     int ac, struct atom *av,
                     int couldedit, const char *suffix)
{
    char buf[1024];
    strcpy(buf, name);
    strcat(buf, suffix);
    return (lowload(buf, volume, ac, av, couldedit));
}

void *newload(s, ac, av)        /* load method for "new" object */
struct symbol *s;
struct atom *av;
{
    struct object *save = s__Pat.s_thing;
    int wasabst = patcher_setabst(1);
    t_symbol *loadvol;
    void *x;
    /* make a copy of arg list padded with zeros to ten places, to 
       make "#1", etc resolve to something if not given. (only for
       loading patches; for resources keep the normal arglist.) */
    struct atom myav[10], *myp = myav, *av2 = av;
    int i, myac = ac;
    int saveloadnumber = loadnumber;
    static int nextloadnumber = 1000;

    if (myac > 10)
        myac = 10;
    loadnumber = ++nextloadnumber;
    for (i = myac; i--;)
        *myp++ = *av2++;
    while (myac < 10)
    {
        SETLONG(myp, 0);
        myp++;
        myac++;
    }
    if (*s->s_name == '/')
    {
        char dir[1024], name[1024];
        t_decomposename(s->s_name, 1024, dir, name);
        loadvol = gensym(dir);
    }
    else
        loadvol = defvolume;
    if (x = lowload(s->s_name, loadvol, myac, myav, 0))
    {
        if (ispatcher(x))
            patcher_setclass(x);
    }
    else if (x = loadwithsuffix(s->s_name, loadvol, myac, myav, 0, ".pat"))
    {
        if (ispatcher(x))
            patcher_setclass(x);
    }
    else if (x = loadwithsuffix(s->s_name, loadvol, myac, myav, 0, ".abs"))
    {
        if (ispatcher(x))
            patcher_setclass(x);
    }
    else if (!loadcode(s->s_name))
    {
        newest = 0;
        typedmess(&qnewobj, s, ac, av);
        x = newest;
    }
    else
    {
        x = 0;
        error("%s: can't open", s->s_name);
    }
    s__Pat.s_thing = save;
    patcher_setabst(wasabst);
    loadnumber = saveloadnumber;
    return (x);
}

int h_ishost = 1;
#else

ispatcher()
{
    return (0);
}

patcher_setclass()
{
}

int h_ishost = 0;
#endif                          /* GRAPHICS */

#ifndef I860
cp_binled()
{
}

copy_in(in, out, bytes)
char *in, *out;
{
    bcopy(in, out, bytes);
}

copy_out(in, out, bytes)
char *in, *out;
{
    bcopy(in, out, bytes);
}

sys_printv()
{
}
#endif                          /* I860 */

void fuck(float *f)
{
}
