
/*
 *                      Copyright (c) 1993 by IRCAM
 *                          All rights reserved.
 *
 *  For any information regarding this and other IRCAM software, please
 *  send email to:
 *                              manager@ircam.fr
 *
 *      $Revision: 2.6 $ IRCAM $Date: 1994/01/04 17:58:22 $
 *
 * FTS by Miller Puckette
 *
 */

#define MAX_EXTERN
#include "m_mess.h"

typedef t_messlist t_externclass;

  /* additional function prototypes of interest to externs but not
     appropriate for m_mess.c... */
void cu_vadd(float *in1, float *in2, float *out, int n);
void cu_vsub(float *in1, float *in2, float *out, int n);
void cu_vmul(float *in1, float *in2, float *out, int n);
void cu_vdiv(float *in1, float *in2, float *out, int n);
void cu_ctlsig(float *in, float *out, int n);
void cu_zero(float *out, int n);
void fft_init();
void fft(float *buffer, int npoints, int inverse);
t_symbol *getdefvolume();
