#ifndef lint
static char rcsid[] =
    "$Revision: 2.2 $ IRCAM $Date: 1993/10/14 11:58:50 $";
#endif

/*
 *                      Copyright (c) 1993 by IRCAM
 *                          All rights reserved.
 *
 *  For any information regarding this and other IRCAM software, please
 *  send email to:
 *                              manager@ircam.fr
 *
 *      $Revision: 2.2 $ IRCAM $Date: 1993/10/14 11:58:50 $
 *
 * FTS by Miller Puckette
 *
 */


#include "m_mess.h"
#include <sys/time.h>
#define SLACK 2000
#define SLIP 250

static long lasttime, timelimit = SLACK;
extern int max_debug;
extern t_symbol s_tick;
static struct timeval tvzero;
static long timeslip;
extern int h_nproc;

long realtime()
{
    return (lasttime);
}

tio_ack(int ptr, long int *buf, int size)
{
    timelimit = *buf + SLACK;
    if (timelimit < lasttime || timelimit > lasttime + SLACK)
        bug("timelimit");
}

extern int h_faketime;

fucko()
{
    struct timeval tv;
    int throttle = 2;
    static long sendtime = 100;
    long elapsedtime, newtime;
    gettimeofday(&tv, 0);
    elapsedtime =
        (1000 * (tv.tv_sec - tvzero.tv_sec) +
         (tv.tv_usec - tvzero.tv_usec) / 1000) / (1 + 10 * (h_nproc - 1));
    newtime = elapsedtime + timeslip;
    if (newtime > timelimit)
    {
        timeslip = timelimit - elapsedtime;
        newtime = timelimit;
    }
    lasttime = newtime;
    sched_poll();
    view_poll();
    if (lasttime >= sendtime && h_faketime)
    {
        sendtime = lasttime + 100;
        h_vmess(NIL, &s_tick, "l", lasttime);
    }
    while (throttle-- && sched_dequeue());
}

tio_init()
{
    h_setpollinterval(0.5);
    h_setpollfunction(fucko);
    gettimeofday(&tvzero, 0);
    if (!h_faketime)
        timelimit = 0x7fffffff;
    h_installack(tio_ack);
}
